<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">NewForm</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/App.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="loadAPD_App" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<txtAgreeNum />
						<selSurvey />
						<txtAgreeName />
						<rbDatum />
						<rbVDatum />
						<oWellTabType />
						<txtAliquot />
						<txtLot />
						<txtTract />
						<well_locations>
							<Rowid />
							<selState />
							<txtLat />
							<txtLong />
							<txtElevation />
							<txtMD />
							<txtTVD />
							<txtMetesBounds />
							<txt5MinLetter />
							<txt5MinNum />
							<txt1MinSect />
							<txtTwsp />
							<txtRange />
							<txtSection />
							<txtAliquot />
							<txtLot />
							<txtTract />
							<txtNSFoot />
							<rbConfidential />
							<rbSAA />
							<rbAgreeType />
							<txtEWFoot />
							<Survey />
							<selGeoSt />
							<selLO />
							<txtPrefix />
							<txtSerial />
							<txtSuffix />
							<txtLeaseNr />
							<selMeridianPP />
							<selCountyPP />
							<txtValidLease />
							<SelectedMeridian />
							<SelectedCounty />
							<SelectedState />
							<LeaseID />
						</well_locations>
						<surveyType />
						<selBLMOffice />
						<rbAllotted />
						<rbDesignated />
						<currentPage />
						<rbLeaseType />
						<wellClassMultiLat />
						<selReservation />
						<selNOS />
						<rbSAA />
						<rbAgreement />
						<rbAgreeType />
						<rbMDev />
						<rbMDrill />
						<rbMSupo />
						<selOperator />
						<rbConfidential />
						<targetPage />
						<currentSection />
						<targetSection />
						<APD_ID />
						<AppID />
						<txtMasterName />
						<txtPrefix />
						<txtNewMasterName />
						<selMasterName />
						<txtNewSUPOName />
						<selSUPOName />
						<txtNewDPName />
						<selDPName />
						<WellID />
						<AppID />
						<AppIdSect3 />
						<WellLegs />
						<prevWellLegs />
						<validationAgreementNumber />
						<validationResultMsg />
						<agreement_number />
						<valid_agreement />
						<selCountyPP />
						<validationMsg />
						<updateWellTable />
						<ORG_ID />
						<validationResult />
						<txtValid />
						<txtValNum />
						<agreeID />
						<table_field1 />
						<table_field2 />
						<wellLocState />
						<SelCounty />
						<SelMeridian />
						<AppTotal />
						<USER_ID />
						<txtWellName />
						<txtWellNum />
						<txtAPINum />
						<dteWorkStart />
						<txtWorkDuration />
						<txtField />
						<txtPool />
						<rbFieldPool />
						<chkMinerals />
						<txtMineralOther />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div class="form">
			<form action="process.do" method="post" name="APD_AppMainForm">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" xmlns="" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.APD_AppMainForm</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div class="main vertical" id="mainGroup">
					<div class="partialPageContainer vertical" id="ppg_Saving"></div>
					<div class="partialPageContainer vertical" id="ppg_FormDisplay"></div>
				</div>
				<div class="vertical" id="navControl">
					<div class="formElement">
						<span class="labelBackground" id="appPct_label_container">
							<label class="label" for="appPct" id="appPct_label">App Pct</label>
						</span>
						<span class="defaultBackground" id="appPct_container">
							<span class="output" id="appPct">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:appPct) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:appPct = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:appPct" />
									</out:otherwise>
								</out:choose>
							</span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="currentPage_label_container">
							<label class="label" for="currentPage" id="currentPage_label">CurrentPage</label>
						</span>
						<span class="defaultBackground" id="currentPage_container">
							<input class="textbox" id="currentPage" name="currentPage" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:currentPage}" />
							<input name="currentPage_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:currentPage" xmlns="" />
							<span id="currentPage_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="currentSection_label_container">
							<label class="label" for="currentSection" id="currentSection_label">CurrentSect</label>
						</span>
						<span class="defaultBackground" id="currentSection_container">
							<input class="textbox" id="currentSection" name="currentSection" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:currentSection}" />
							<input name="currentSection_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:currentSection" xmlns="" />
							<span id="currentSection_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="targetPage_label_container">
							<label class="label" for="targetPage" id="targetPage_label">TargetPage</label>
						</span>
						<span class="defaultBackground" id="targetPage_container">
							<input class="textbox" id="targetPage" name="targetPage" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:targetPage}" />
							<input name="targetPage_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:targetPage" xmlns="" />
							<span id="targetPage_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="targetSection_label_container">
							<label class="label" for="targetSection" id="targetSection_label">TargetSect</label>
						</span>
						<span class="defaultBackground" id="targetSection_container">
							<input class="textbox" id="targetSection" name="targetSection" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:targetSection}" />
							<input name="targetSection_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:targetSection" xmlns="" />
							<span id="targetSection_message_container"></span>
						</span>
					</div>
				</div>
				<div class="vertical" id="layoutAppProgress">
					<div class="formElement">
						<span class="labelBackground" id="App1Pct_label_container">
							<label class="label" for="App1Pct" id="App1Pct_label">App1 Pct</label>
						</span>
						<span class="defaultBackground" id="App1Pct_container">
							<input class="textbox" id="App1Pct" name="App1Pct" type="text" value="{/mvc:eForm/mvc:Data/WorkitemContext/Process/ProcessVariables/App1Pct}" />
							<input name="App1Pct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:App1Pct" xmlns="" />
							<span id="App1Pct_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="App2Pct_label_container">
							<label class="label" for="App2Pct" id="App2Pct_label">App2 Pct</label>
						</span>
						<span class="defaultBackground" id="App2Pct_container">
							<input class="textbox" id="App2Pct" name="App2Pct" type="text" value="{/mvc:eForm/mvc:Data/WorkitemContext/Process/ProcessVariables/App2Pct}" />
							<input name="App2Pct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:App2Pct" xmlns="" />
							<span id="App2Pct_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="App3Pct_label_container">
							<label class="label" for="App3Pct" id="App3Pct_label">App3 Pct</label>
						</span>
						<span class="defaultBackground" id="App3Pct_container">
							<input class="textbox" id="App3Pct" name="App3Pct" type="text" value="{/mvc:eForm/mvc:Data/WorkitemContext/Process/ProcessVariables/App3Pct}" />
							<input name="App3Pct_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:App3Pct" xmlns="" />
							<span id="App3Pct_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="AppTotal_label_container">
							<label class="label" for="AppTotal" id="AppTotal_label">Total</label>
						</span>
						<span class="defaultBackground" id="AppTotal_container">
							<input class="textbox" id="AppTotal" name="AppTotal" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:AppTotal}" />
							<input name="AppTotal_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:AppTotal" xmlns="" />
							<span id="AppTotal_message_container"></span>
						</span>
					</div>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.APD_AppMainForm,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all',
                mandatoryMarker: {
                    content: ' * ',
                    location: 'after_label',
                    className: 'mandatory',
                    style: ''
                    }
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>appPct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>currentPage</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>currentSection</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>targetPage</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>targetSection</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>App1Pct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>App2Pct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>App3Pct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>AppTotal</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_AppMainFormonload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objAction = {name: 'Action', option: 'Action', value: 'loadAPD_App.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_FormDisplay'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
            }
            hyf.attachEventHandler(window, 'onload', APD_AppMainFormonload);
                    
                    hyf.hooks.contentInserted(document.body);</xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
