<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:import href="conversions.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_AppSect2</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_AppSect2" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript" xmlns=""></script>
		<script src="js/APD.js" type="text/javascript" xmlns=""></script>
		<script src="js/App.js" type="text/javascript" xmlns=""></script>
		<script src="js/Util.js" type="text/javascript" xmlns=""></script>
		<script src="js/DocMgmt.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" >		<xform:instance id="saveAPD_App2" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<rbMDev />
						<txtNewMasterName />
						<selMasterName />
						<rbMSupo />
						<txtNewSUPOName />
						<selSUPOName />
						<rbMDrill />
						<txtNewDPName />
						<selDPName />
						<txtWellName />
						<txtWellNum />
						<txtAPINum />
						<txtPool />
						<rbFieldPool />
						<txtField />
						<multPadName />
						<multPadNum />
						<rbWellClass />
						<rbWorkType />
						<selWellType />
						<txtWellTypeOther />
						<edit_5 />
						<txtDistToTown />
						<txtDistToWell />
						<txtDistToLease />
						<edit_7 />
						<txtAcreSpacing />
						<dteWorkStart />
						<txtWorkDuration />
						<rbNewDisturbance />
						<rbPadType />
						<rbExistPad />
						<rbHeliumArea />
						<chkMinerals />
						<selSubType />
						<txtSubtypeOther />
						<wellClassMultiLat />
						<WellID />
						<prevWellLegs />
						<updateWellTable />
						<txtOtherMinerals />
					</formData>
					<APP_INFO_GENERAL_INFO2_VW xmlns="">
						<record>
							<APPLICATION_ID />
							<APD_ID />
							<BZFLW_PRCS_ID />
							<CNFLT_MIN_RSRC_ID />
							<CNFLT_MIN_RSRC_DESC />
							<WELL_ID />
							<WELL_IN_HLM_PROD_AREA_IND />
							<USE_OF_EXSTNG_WELL_PAD_IND />
							<WELL_PAD_SRFCE_DIST_IND />
							<WELL_WRK_TY />
							<WELL_SUB_TY_OTH_DESC />
							<WELL_TY_OTH_DESC />
							<WELL_IN_NEW_MSTR_DEV_PLN />
							<WELL_IN_NEW_MSTR_SUPO_PLN />
							<WELL_IN_NEW_MSTR_DP_PLN />
							<INDN_ALLOTTEE_IND />
							<INDN_RES_CD />
							<INDN_TRBE_ID />
							<AGRMT_IN_PLC_IND />
							<WELL_NM />
							<WELL_NR />
							<WELL_API_NR />
							<FLD_POOL_EXPL />
							<DIST_TO_TOWN />
							<DIST_TO_LSE_LINE />
							<RSRVR_WELL_SPCNG_AC_ME />
							<APP_ID />
							<WELL_CLS_ID />
							<WELL_SUB_TY_ID />
							<WELL_TY_ID />
							<NR_OF_MULTILAT_LEGS />
							<DIST_TO_NRST_WELL />
							<WRK_STRT_DT />
							<EST_DUR />
							<WELL_PLAT_FILE_PTH />
							<INSP_PRRTY_DWNHL_CD />
							<INSP_PRRTY_PROD_CD />
							<INSP_PRRTY_SRFCE_CD />
							<WELL_ADD_EFF_DT />
							<WELL_ADD_TRAN_DT />
							<WELL_CORED_DT />
							<WELL_EXPL_DEV_CD />
							<WELL_WTR_DISP_MTHD_CD />
							<WELL_PAD_CONSTR_START_DT />
							<WELL_PAD_CONSTR_START_TM />
							<WELL_PLUG_DT />
							<WELL_PROD_CMNGLNG_CD />
							<WELL_SRFCE_RSTRTN_DT />
							<WELL_SURVEYED_CD />
							<WELL_PAD_ID />
							<DRLNG_PLN_ID />
							<SUPO_PLN_ID />
							<CNSTR_FLG />
							<BOND_ID />
							<AGRMT_ID />
							<WELL_PAD_TY_NM />
							<MULTI_WELL_PAD_IDENT />
							<MULTI_WELL_PAD_NM />
							<MSTR_DEV_PLN_ID />
							<MSTR_DEV_PLN_NM />
							<MSTR_SUPO_PLN_ID />
							<MSTR_SUPO_PLN_NM />
							<MSTR_DP_PLN_ID />
							<MSTR_DP_PLN_NM />
							<WELL_TY_NM />
							<WELL_FLD_NM />
							<WELL_POOL_NM />
						</record>
					</APP_INFO_GENERAL_INFO2_VW>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="copyMasterPlan_xga_copyMasterDP_xga_copyMasterSUPO" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<rbMDev />
						<txtNewMasterName />
						<selMasterName />
						<rbMSupo />
						<txtNewSUPOName />
						<selSUPOName />
						<rbMDrill />
						<txtNewDPName />
						<selDPName />
						<txtWellName />
						<txtWellNum />
						<txtAPINum />
						<rbFieldPool />
						<txtField />
						<txtPool />
						<multPadName />
						<multPadNum />
						<rbWellClass />
						<txtNumLegs />
						<rbWorkType />
						<selWellType />
						<txtWellTypeOther />
						<edit_5 />
						<txtDistToTown />
						<txtDistToWell />
						<txtDistToLease />
						<edit_7 />
						<txtAcreSpacing />
						<dteWorkStart />
						<txtWorkDuration />
						<rbNewDisturbance />
						<rbPadType />
						<rbExistPad />
						<rbHeliumArea />
						<chkMinerals />
						<selSubType />
						<txtSubtypeOther />
						<wellClassMultiLat />
						<prevWellLegs />
						<updateWellTable />
						<WellID />
						<AppID />
						<txtOtherMinerals />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="AppSect2" xmlns="">
			<fieldset class="fieldsetGroup vertical" id="grpSection2">
				<legend class="fieldsetGroupLabelBackground" id="grpSection2_label_container">
					<span class="label" id="grpSection2_label">Section 2 - Well Information</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="grpMasterPlan" style="width : 100%;" summary="">
					<tr>
						<td class="labelBackground" id="rbMDev_label_container" style="vertical-align : middle; width : 367px;">
							<label class="label" for="rbMDev1" id="rbMDev_label">Well in a new or existing Master Development Plan?  *</label>
						</td>
						<td class="defaultBackground" id="rbMDev_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMDev1" name="rbMDev" onchange="return rbMDevonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="radio" value="NO">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_DEV_PLN = 'NO'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMDev1">No</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMDev2" name="rbMDev" onchange="return rbMDevonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="radio" value="NEW">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_DEV_PLN = 'NEW'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMDev2">New</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMDev3" name="rbMDev" onchange="return rbMDevonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="radio" value="EXISTING">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_DEV_PLN = 'EXISTING'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbMDev_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_DEV_PLN" />
										<input name="xgf_rbMDev_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbMDev" />
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMDev3">Existing</label>
									</td>
								</tr>
							</table>
							<input id="rbMDev_value_if_not_submitted" name="rbMDev_value_if_not_submitted" type="hidden" value="" />
							<span id="rbMDev_message_container"></span>
						</td>
						<td class="vertical" colspan="2" id="layout_group_3">
							<div class="vertical" id="grpNewMDev">
								<div class="formElement">
									<span class="labelBackground" id="txtNewMasterName_label_container" style="width : 284px;">
										<label class="label" for="txtNewMasterName" id="txtNewMasterName_label">New Master Development Plan name *</label>
									</span>
									<span class="defaultBackground" id="txtNewMasterName_container">
										<input class="textbox" id="txtNewMasterName" name="txtNewMasterName" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_DEV_PLN_NM}" />
										<input name="xgf_txtNewMasterName_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_DEV_PLN_NM" />
										<input name="xgf_txtNewMasterName_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtNewMasterName" />
										<span id="txtNewMasterName_message_container"></span>
									</span>
								</div>
							</div>
							<div class="vertical" id="grpExistMDev">
								<div class="formElement">
									<span class="labelBackground" id="selMasterName_label_container" style="width : 284px;">
										<label class="label" for="selMasterName" id="selMasterName_label">Master Development Plan name *</label>
									</span>
									<span class="defaultBackground" id="selMasterName_container">
										<select class="select" id="selMasterName" name="selMasterName" onchange="return selMasterNameonchange((typeof(event) != 'undefined') ? event : arguments[0]);">
											<option value="">
												<out:text>-- Select --</out:text>
											</option>
											<out:for-each select="/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_DEV_PLN_VW/record">
												<option value="{MASTER_PLAN_ID}">
													<out:if test="MASTER_PLAN_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_DEV_PLN_ID">
														<out:attribute name="selected">selected</out:attribute>
													</out:if>
													<out:value-of select="PLAN_NAME" />
												</option>
											</out:for-each>
										</select>
										<input name="xgf_selMasterName_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_DEV_PLN_ID" />
										<input name="xgf_selMasterName_xpath_xga_copyMasterPlan_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selMasterName" />
									</span>
								</div>
							</div>
						</td>
					</tr>
				</table>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layoutDP_SUPO_MP" summary="">
					<tr>
						<td class="labelBackground" id="rbMSupo_label_container" style="vertical-align : middle; width : 367px;">
							<label class="label" for="rbMSupo1" id="rbMSupo_label">Well in a new or existing Master SUPO?  *</label>
						</td>
						<td class="defaultBackground" id="rbMSupo_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMSupo1" name="rbMSupo" type="radio" value="NO">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_SUPO_PLN = 'NO'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMSupo1">No</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMSupo2" name="rbMSupo" type="radio" value="NEW">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_SUPO_PLN = 'NEW'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMSupo2">New</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMSupo3" name="rbMSupo" type="radio" value="EXISTING">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_SUPO_PLN = 'EXISTING'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbMSupo_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_SUPO_PLN" />
										<input name="xgf_rbMSupo_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbMSupo" />
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMSupo3">Existing</label>
									</td>
								</tr>
							</table>
							<input id="rbMSupo_value_if_not_submitted" name="rbMSupo_value_if_not_submitted" type="hidden" value="" />
							<span id="rbMSupo_message_container"></span>
						</td>
						<td class="vertical" colspan="2" id="layout_group_4">
							<div class="vertical" id="grpNewMSupo">
								<div class="formElement">
									<span class="labelBackground" id="txtNewSUPOName_label_container" style="width : 284px;">
										<label class="label" for="txtNewSUPOName" id="txtNewSUPOName_label">New Master SUPO name *</label>
									</span>
									<span class="defaultBackground" id="txtNewSUPOName_container">
										<input class="textbox" id="txtNewSUPOName" name="txtNewSUPOName" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_SUPO_PLN_NM}" />
										<input name="xgf_txtNewSUPOName_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_SUPO_PLN_NM" />
										<input name="xgf_txtNewSUPOName_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtNewSUPOName" />
										<span id="txtNewSUPOName_message_container"></span>
									</span>
								</div>
							</div>
							<div class="vertical" id="grpExistMSupo">
								<div class="formElement">
									<span class="labelBackground" id="selSUPOName_label_container" style="width : 284px;">
										<label class="label" for="selSUPOName" id="selSUPOName_label">Master SUPO name *</label>
									</span>
									<span class="defaultBackground" id="selSUPOName_container">
										<select class="select" id="selSUPOName" name="selSUPOName" onchange="return selSUPONameonchange((typeof(event) != 'undefined') ? event : arguments[0]);">
											<option value="">
												<out:text>-- Select --</out:text>
											</option>
											<out:for-each select="/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_SUPO_PLN_VW/record">
												<option value="{MASTER_PLAN_ID}">
													<out:if test="MASTER_PLAN_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_SUPO_PLN_ID">
														<out:attribute name="selected">selected</out:attribute>
													</out:if>
													<out:value-of select="PLAN_NAME" />
												</option>
											</out:for-each>
										</select>
										<input name="xgf_selSUPOName_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_SUPO_PLN_ID" />
										<input name="xgf_selSUPOName_xpath_xga_copyMasterSUPO_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selSUPOName" />
										<span id="selSUPOName_message_container"></span>
									</span>
								</div>
							</div>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbMDrill_label_container" style="vertical-align : middle; width : 367px;">
							<label class="label" for="rbMDrill1" id="rbMDrill_label">Well in a new or existing Master Drilling Plan?  *</label>
						</td>
						<td class="defaultBackground" id="rbMDrill_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMDrill1" name="rbMDrill" type="radio" value="NO">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_DP_PLN = 'NO'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMDrill1">No</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMDrill2" name="rbMDrill" type="radio" value="NEW">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_DP_PLN = 'NEW'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMDrill2">New</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbMDrill3" name="rbMDrill" type="radio" value="EXISTING">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_DP_PLN = 'EXISTING'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbMDrill_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_NEW_MSTR_DP_PLN" />
										<input name="xgf_rbMDrill_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbMDrill" />
									</td>
									<td class="selectBooleanCaption">
										<label for="rbMDrill3">Existing</label>
									</td>
								</tr>
							</table>
							<input id="rbMDrill_value_if_not_submitted" name="rbMDrill_value_if_not_submitted" type="hidden" value="" />
							<span id="rbMDrill_message_container"></span>
						</td>
						<td class="vertical" colspan="2" id="layout_group_5">
							<div class="vertical" id="grpNewMDrill">
								<div class="formElement">
									<span class="labelBackground" id="txtNewDPName_label_container" style="width : 284px;">
										<label class="label" for="txtNewDPName" id="txtNewDPName_label">New Master Drilling Plan name *</label>
									</span>
									<span class="defaultBackground" id="txtNewDPName_container">
										<input class="textbox" id="txtNewDPName" name="txtNewDPName" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_DP_PLN_NM}" />
										<input name="xgf_txtNewDPName_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_DP_PLN_NM" />
										<input name="xgf_txtNewDPName_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtNewDPName" />
										<span id="txtNewDPName_message_container"></span>
									</span>
								</div>
							</div>
							<div class="vertical" id="grpExistMDrill" style="height : 27px;">
								<div class="formElement">
									<span class="labelBackground" id="selDPName_label_container" style="width : 284px;">
										<label class="label" for="selDPName" id="selDPName_label">Master Drilling Plan name *</label>
									</span>
									<span class="defaultBackground" id="selDPName_container">
										<select class="select" id="selDPName" name="selDPName" onchange="return selDPNameonchange((typeof(event) != 'undefined') ? event : arguments[0]);">
											<option value="">
												<out:text>-- Select --</out:text>
											</option>
											<out:for-each select="/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_DRLNG_PLN_VW/record">
												<option value="{MASTER_PLAN_ID}">
													<out:if test="MASTER_PLAN_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_DP_PLN_ID">
														<out:attribute name="selected">selected</out:attribute>
													</out:if>
													<out:value-of select="PLAN_NAME" />
												</option>
											</out:for-each>
										</select>
										<input name="xgf_selDPName_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MSTR_DP_PLN_ID" />
										<input name="xgf_selDPName_xpath_xga_copyMasterDP_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selDPName" />
										<span id="selDPName_message_container"></span>
									</span>
								</div>
							</div>
						</td>
					</tr>
				</table>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layoutWellInfo" summary="">
					<tr>
						<td class="labelBackground" id="txtWellName_label_container" style="width : 106px;">
							<label class="label" for="txtWellName" id="txtWellName_label">Well Name *</label>
						</td>
						<td class="defaultBackground" id="txtWellName_container">
							<input class="textbox" id="txtWellName" name="txtWellName" title="Please enter the Operator Designated Well Name" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_NM}" />
							<input name="xgf_txtWellName_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_NM" />
							<input name="xgf_txtWellName_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtWellName" />
							<span id="txtWellName_message_container"></span>
						</td>
						<td class="labelBackground" id="txtWellNum_label_container" style="width : 160px;">
							<label class="label" for="txtWellNum" id="txtWellNum_label">Well Number *</label>
						</td>
						<td class="defaultBackground" id="txtWellNum_container">
							<input class="textbox" id="txtWellNum" name="txtWellNum" style="width : 53px;" title="Please enter the Operator Designated Well Number" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_NR}" />
							<input name="xgf_txtWellNum_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_NR" />
							<input name="xgf_txtWellNum_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtWellNum" />
							<span id="txtWellNum_message_container"></span>
						</td>
						<td class="hidden vertical" colspan="2" id="layoutAPI">
							<div class="formElement">
								<span class="labelBackground" id="txtAPINum_label_container" style="width : 186px;">
									<label class="label" for="txtAPINum" id="txtAPINum_label">Well API Number</label>
								</span>
								<span class="defaultBackground" id="txtAPINum_container">
									<input class="textbox" id="txtAPINum" name="txtAPINum" style="width : 145px;" title="Enter the API Number if known (optional)" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_API_NR}" />
									<input name="xgf_txtAPINum_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_API_NR" />
									<input name="xgf_txtAPINum_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtAPINum" />
									<span id="txtAPINum_message_container"></span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbFieldPool_label_container" style="vertical-align : middle; width : 106px;">
							<label class="label" for="rbFieldPool1" id="rbFieldPool_label">Field/Pool or Exploratory? *</label>
						</td>
						<td class="defaultBackground" id="rbFieldPool_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbFieldPool1" name="rbFieldPool" type="radio" value="FP">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/FLD_POOL_EXPL = 'FP'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbFieldPool1">Field and Pool</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbFieldPool2" name="rbFieldPool" type="radio" value="EX">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/FLD_POOL_EXPL = 'EX'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbFieldPool_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/FLD_POOL_EXPL" />
										<input name="xgf_rbFieldPool_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbFieldPool" />
									</td>
									<td class="selectBooleanCaption">
										<label for="rbFieldPool2">Exploratory</label>
									</td>
								</tr>
							</table>
							<input id="rbFieldPool_value_if_not_submitted" name="rbFieldPool_value_if_not_submitted" type="hidden" value="" />
							<span id="rbFieldPool_message_container"></span>
						</td>
						<td class="horizontal" colspan="4" id="grpFieldname">
							<span class="formElement">
								<span class="labelBackground" id="txtField_label_container" style="width : 125px;">
									<label class="label" for="txtField" id="txtField_label">Field Name *</label>
								</span>
								<span class="defaultBackground" id="txtField_container">
									<input class="textbox" id="txtField" name="txtField" style="width : 115px;" title="The geographical name given to an accumulation of hydrocarbons in one or more geological trapping mechanisms or the general geographic name as shown on a map (Field)" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_FLD_NM}" />
									<input name="xgf_txtField_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_FLD_NM" />
									<input name="xgf_txtField_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtField" />
									<span id="txtField_message_container"></span>
								</span>
							</span>
							<span class="formElement">
								<span class="labelBackground" id="txtPool_label_container" style="width : 130px;">
									<label class="label" for="txtPool" id="txtPool_label">Pool Name</label>
								</span>
								<span class="defaultBackground" id="txtPool_container">
									<input class="textbox" id="txtPool" name="txtPool" style="width : 145px;" title="The geographical name given to an accumulation of hydrocarbons in one or more geological trapping mechanisms or the general geographic name as shown on a map (Pool)" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_POOL_NM}" />
									<input name="xgf_txtPool_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_POOL_NM" />
									<input name="xgf_txtPool_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtPool" />
									<span id="txtPool_message_container"></span>
								</span>
							</span>
						</td>
					</tr>
					<tr>
						<td colspan="4">
							<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layoutMinerals" summary="">
								<tr>
									<td class="labelBackground" id="chkMinerals_label_container" style="width : 501px; vertical-align : middle;">
										<label class="label" for="chkMinerals1" id="chkMinerals_label">Is the proposed well in an area containing other mineral resources?  *</label>
									</td>
									<td class="defaultBackground" colspan="3" id="chkMinerals_container" style="vertical-align : middle;">
										<out:variable name="totalCount" select="count(/mvc:eForm/mvc:Data/MIN_RSRC_REF/record)" />
										<out:for-each select="/mvc:eForm/mvc:Data/MIN_RSRC_REF/record">
											<out:variable name="number" select="position()" />
											<out:choose>
												<out:when test="$number = 1">
													<out:text disable-output-escaping="yes">&lt;table cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; border=&quot;0&quot;&gt;&lt;tr&gt;</out:text>
												</out:when>
												<out:when test="(3 = 1) or (($number mod 3) = 1)">
													<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</out:text>
												</out:when>
											</out:choose>
											<td class="selectBoolean">
												<input class="checkbox" id="chkMinerals{$number}" name="chkMinerals" title=" Is the proposed well in an area containing other mineral resources?" type="checkbox" value="{MIN_RSRC_ID}">
													<out:if test="contains(concat(',',/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/CNFLT_MIN_RSRC_ID,','), concat(',',MIN_RSRC_ID,','))">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
											</td>
											<td class="selectBooleanCaption">
												<label for="chkMinerals{$number}">
													<out:value-of select="MIN_RSRC_NM" />
												</label>
											</td>
											<out:if test="$number = $totalCount">
												<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;/table&gt;</out:text>
											</out:if>
										</out:for-each>
										<input name="chkMinerals_binding_format" type="hidden" value="csv" />
										<input name="xgf_chkMinerals_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/CNFLT_MIN_RSRC_ID" />
										<input name="xgf_chkMinerals_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:chkMinerals" />
										<span id="chkMinerals_message_container"></span>
									</td>
								</tr>
							</table>
						</td>
						<td class="vertical" colspan="2" id="grpOtherMineralDesc">
							<div class="formElement">
								<span class="labelBackground" id="txtOtherMinerals_label_container">
									<label class="label" for="txtOtherMinerals" id="txtOtherMinerals_label">Describe other minerals</label>
								</span>
								<span class="defaultBackground" id="txtOtherMinerals_container">
									<input class="textbox" id="txtOtherMinerals" name="txtOtherMinerals" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/CNFLT_MIN_RSRC_DESC}" />
									<input name="xgf_txtOtherMinerals_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/CNFLT_MIN_RSRC_DESC" />
									<input name="xgf_txtOtherMinerals_xpath_xga_copyMasterPlan_xga_copyMasterDP_xga_copyMasterSUPO_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtOtherMinerals" />
									<span id="txtOtherMinerals_message_container"></span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td class="vertical" colspan="2" id="grpHeliumArea" style="width : 510px;">
							<div class="formElement">
								<span class="labelBackground" id="rbHeliumArea_label_container" style="width : 370px;">
									<label class="label" for="rbHeliumArea1" id="rbHeliumArea_label">Is the proposed well in a Helium production area?  *</label>
								</span>
								<span class="defaultBackground" id="rbHeliumArea_container">
									<span class="selectBoolean">
										<input class="radio" id="rbHeliumArea1" name="rbHeliumArea" type="radio" value="Y">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_HLM_PROD_AREA_IND = 'Y'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</span>
									<label class="selectBooleanCaption" for="rbHeliumArea1">Yes</label>
									<span class="selectBoolean">
										<input class="radio" id="rbHeliumArea2" name="rbHeliumArea" type="radio" value="N">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_HLM_PROD_AREA_IND = 'N'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbHeliumArea_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_IN_HLM_PROD_AREA_IND" />
										<input name="xgf_rbHeliumArea_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbHeliumArea" />
									</span>
									<label class="selectBooleanCaption" for="rbHeliumArea2">No</label>
									<input id="rbHeliumArea_value_if_not_submitted" name="rbHeliumArea_value_if_not_submitted" type="hidden" value="" />
									<span id="rbHeliumArea_message_container"></span>
								</span>
							</div>
						</td>
						<td class="labelBackground" id="rbExistPad_label_container" style="width : 160px;">
							<label class="label" for="rbExistPad1" id="rbExistPad_label">Use Existing Well Pad? *</label>
						</td>
						<td class="defaultBackground" id="rbExistPad_container">
							<span class="selectBoolean">
								<input class="radio" id="rbExistPad1" name="rbExistPad" type="radio" value="YES">
									<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/USE_OF_EXSTNG_WELL_PAD_IND = 'YES'">
										<out:attribute name="checked">checked</out:attribute>
									</out:if>
								</input>
							</span>
							<label class="selectBooleanCaption" for="rbExistPad1">Yes</label>
							<span class="selectBoolean">
								<input class="radio" id="rbExistPad2" name="rbExistPad" type="radio" value="NO">
									<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/USE_OF_EXSTNG_WELL_PAD_IND = 'NO'">
										<out:attribute name="checked">checked</out:attribute>
									</out:if>
								</input>
								<input name="xgf_rbExistPad_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/USE_OF_EXSTNG_WELL_PAD_IND" />
								<input name="xgf_rbExistPad_xpath_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbExistPad" />
							</span>
							<label class="selectBooleanCaption" for="rbExistPad2">No</label>
							<input id="rbExistPad_value_if_not_submitted" name="rbExistPad_value_if_not_submitted" type="hidden" value="" />
							<span id="rbExistPad_message_container"></span>
						</td>
						<td class="vertical" colspan="2" id="grpNewDisturb" style="width : 324px;">
							<div class="formElement">
								<span class="labelBackground" id="rbNewDisturbance_label_container">
									<label class="label" for="rbNewDisturbance1" id="rbNewDisturbance_label">New surface disturbance? *</label>
								</span>
								<span class="defaultBackground" id="rbNewDisturbance_container">
									<span class="selectBoolean">
										<input class="radio" id="rbNewDisturbance1" name="rbNewDisturbance" type="radio" value="Y">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_PAD_SRFCE_DIST_IND = 'Y'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</span>
									<label class="selectBooleanCaption" for="rbNewDisturbance1">Yes</label>
									<span class="selectBoolean">
										<input class="radio" id="rbNewDisturbance2" name="rbNewDisturbance" type="radio" value="N">
											<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_PAD_SRFCE_DIST_IND = 'N'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbNewDisturbance_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_PAD_SRFCE_DIST_IND" />
										<input name="xgf_rbNewDisturbance_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbNewDisturbance" />
									</span>
									<label class="selectBooleanCaption" for="rbNewDisturbance2">No</label>
									<input id="rbNewDisturbance_value_if_not_submitted" name="rbNewDisturbance_value_if_not_submitted" type="hidden" value="" />
									<span id="rbNewDisturbance_message_container"></span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbPadType_label_container" style="width : 106px;">
							<label class="label" for="rbPadType1" id="rbPadType_label">Type of Well Pad *</label>
						</td>
						<td class="defaultBackground" id="rbPadType_container">
							<span class="selectBoolean">
								<input class="radio" id="rbPadType1" name="rbPadType" type="radio" value="SINGLE WELL">
									<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_PAD_TY_NM = 'SINGLE WELL'">
										<out:attribute name="checked">checked</out:attribute>
									</out:if>
								</input>
							</span>
							<label class="selectBooleanCaption" for="rbPadType1">Single</label>
							<span class="selectBoolean">
								<input class="radio" id="rbPadType2" name="rbPadType" type="radio" value="MULTIPLE WELL">
									<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_PAD_TY_NM = 'MULTIPLE WELL'">
										<out:attribute name="checked">checked</out:attribute>
									</out:if>
								</input>
								<input name="xgf_rbPadType_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_PAD_TY_NM" />
								<input name="xgf_rbPadType_xpath_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbPadType" />
							</span>
							<label class="selectBooleanCaption" for="rbPadType2">Multiple</label>
							<input id="rbPadType_value_if_not_submitted" name="rbPadType_value_if_not_submitted" type="hidden" value="" />
							<span id="rbPadType_message_container"></span>
						</td>
						<td colspan="4">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="grpMultiPad" style="width : 550px;" summary="">
								<tr>
									<td class="labelBackground" id="multPadName_label_container" style="width : 190px;">
										<label class="label" for="multPadName" id="multPadName_label">Multiple Well Pad Name *</label>
									</td>
									<td class="defaultBackground" id="multPadName_container">
										<input class="textbox" id="multPadName" name="multPadName" style="width : 187px;" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MULTI_WELL_PAD_NM}" />
										<input name="xgf_multPadName_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MULTI_WELL_PAD_NM" />
										<input name="xgf_multPadName_xpath_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:multPadName" />
										<span id="multPadName_message_container"></span>
									</td>
									<td class="labelBackground" id="multPadNum_label_container" style="width : 85px;">
										<label class="label" for="multPadNum" id="multPadNum_label">Number *</label>
									</td>
									<td class="defaultBackground" id="multPadNum_container">
										<input class="textbox" id="multPadNum" name="multPadNum" style="width : 88px;" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MULTI_WELL_PAD_IDENT}" />
										<input name="xgf_multPadNum_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/MULTI_WELL_PAD_IDENT" />
										<input name="xgf_multPadNum_xpath_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:multPadNum" />
										<span id="multPadNum_message_container"></span>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="4">
							<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_16" summary="">
								<tr>
									<td class="labelBackground" id="rbWellClass_label_container" style="width : 190px; vertical-align : middle;">
										<label class="label" for="rbWellClass1" id="rbWellClass_label">Well Class</label>
									</td>
									<td class="defaultBackground" id="rbWellClass_container">
										<out:variable name="totalCount" select="count(/mvc:eForm/mvc:Data/WELL_CLASS_REF/record)" />
										<out:for-each select="/mvc:eForm/mvc:Data/WELL_CLASS_REF/record">
											<out:variable name="number" select="position()" />
											<out:choose>
												<out:when test="$number = 1">
													<out:text disable-output-escaping="yes">&lt;table cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; border=&quot;0&quot;&gt;&lt;tr&gt;</out:text>
												</out:when>
												<out:when test="(2 = 1) or (($number mod 2) = 1)">
													<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</out:text>
												</out:when>
											</out:choose>
											<td class="selectBoolean">
												<input class="radio" id="rbWellClass{$number}" name="rbWellClass" onclick="return rbWellClassonclick((typeof(event) != 'undefined') ? event : arguments[0]);" title="Type of wellbore for the proposed well" type="radio" value="{WELL_CLS_ID}">
													<out:if test="WELL_CLS_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_CLS_ID">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
											</td>
											<td class="selectBooleanCaption">
												<label for="rbWellClass{$number}">
													<out:value-of select="WELL_CLS_NM" />
												</label>
											</td>
											<out:if test="$number = $totalCount">
												<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;/table&gt;</out:text>
											</out:if>
										</out:for-each>
										<input name="xgf_rbWellClass_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_CLS_ID" />
										<input name="xgf_rbWellClass_xpath_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbWellClass" />
										<input id="rbWellClass_value_if_not_submitted" name="rbWellClass_value_if_not_submitted" type="hidden" value="" />
										<span id="rbWellClass_message_container"></span>
									</td>
									<td class="vertical" colspan="2" id="grpNumLegs" style="vertical-align : middle;">
										<div class="formElement">
											<span class="labelBackground" id="txtNumLegs_label_container" style="width : 151px;">
												<label class="label" for="txtNumLegs" id="txtNumLegs_label">Number of Legs</label>
											</span>
											<span class="defaultBackground" id="txtNumLegs_container">
												<input class="textbox" id="txtNumLegs" name="txtNumLegs" onchange="return txtNumLegsonchange((typeof(event) != 'undefined') ? event : arguments[0]);" style="width : 78px;" title="Number of legs for a multi-lateral well class" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/NR_OF_MULTILAT_LEGS}">
													<out:if test="not(/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/NR_OF_MULTILAT_LEGS) or (/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/NR_OF_MULTILAT_LEGS = '')">
														<out:attribute name="value">1</out:attribute>
													</out:if>
												</input>
												<input name="xgf_txtNumLegs_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/NR_OF_MULTILAT_LEGS" />
												<input name="xgf_txtNumLegs_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtNumLegs" />
												<span id="txtNumLegs_message_container"></span>
											</span>
										</div>
									</td>
								</tr>
							</table>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td class="vertical" colspan="4" id="layout_group_8">
							<div class="formElement">
								<span class="labelBackground" id="rbWorkType_label_container" style="width : 190px;">
									<label class="label" for="rbWorkType1" id="rbWorkType_label">Well Work Type *</label>
								</span>
								<span class="defaultBackground" id="rbWorkType_container">
									<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
										<tr>
											<td class="selectBoolean">
												<input class="radio" id="rbWorkType1" name="rbWorkType" type="radio" value="Drill">
													<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_WRK_TY = 'Drill'">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
											</td>
											<td class="selectBooleanCaption">
												<label for="rbWorkType1">Drill</label>
											</td>
											<td class="selectBoolean">
												<input class="radio" id="rbWorkType2" name="rbWorkType" type="radio" value="Reenter">
													<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_WRK_TY = 'Reenter'">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
												<input name="xgf_rbWorkType_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_WRK_TY" />
												<input name="xgf_rbWorkType_xpath_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbWorkType" />
											</td>
											<td class="selectBooleanCaption">
												<label for="rbWorkType2">Reenter</label>
											</td>
										</tr>
									</table>
									<input id="rbWorkType_value_if_not_submitted" name="rbWorkType_value_if_not_submitted" type="hidden" value="" />
									<span id="rbWorkType_message_container"></span>
								</span>
							</div>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="selWellType_label_container" style="width : 106px;">
							<label class="label" for="selWellType" id="selWellType_label">Well Type *</label>
						</td>
						<td class="defaultBackground" id="selWellType_container">
							<select class="select" id="selWellType" name="selWellType" style="width : 260px;">
								<option value="">
									<out:text>-- Please Select --</out:text>
								</option>
								<out:for-each select="/mvc:eForm/mvc:Data/WELL_TY_REF/record">
									<option value="{WELL_TY_ID}">
										<out:if test="WELL_TY_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_TY_ID">
											<out:attribute name="selected">selected</out:attribute>
										</out:if>
										<out:value-of select="WELL_TY_NM" />
									</option>
								</out:for-each>
							</select>
							<input name="xgf_selWellType_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_TY_ID" />
							<input name="xgf_selWellType_xpath_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selWellType" />
							<span id="selWellType_message_container"></span>
						</td>
						<td class="vertical" colspan="4" id="grpWellOther" style="width : 301px;">
							<div class="formElement">
								<span class="labelBackground" id="txtWellTypeOther_label_container" style="width : 150px;">
									<label class="label" for="txtWellTypeOther" id="txtWellTypeOther_label">Describe Well Type</label>
								</span>
								<span class="defaultBackground" id="txtWellTypeOther_container">
									<input class="textbox" id="txtWellTypeOther" name="txtWellTypeOther" size="50" style="width : 262px;" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_TY_OTH_DESC}" />
									<input name="xgf_txtWellTypeOther_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_TY_OTH_DESC" />
									<input name="xgf_txtWellTypeOther_xpath_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtWellTypeOther" />
									<span id="txtWellTypeOther_message_container"></span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="selSubType_label_container" style="width : 106px;">
							<label class="label" for="selSubType" id="selSubType_label">Well sub-type *</label>
						</td>
						<td class="defaultBackground" id="selSubType_container">
							<select class="select" id="selSubType" name="selSubType">
								<option value="">
									<out:text>--Select--</out:text>
								</option>
								<out:for-each select="/mvc:eForm/mvc:Data/WELL_SUB_TY_REF/record">
									<option value="{WELL_SUB_TY_ID}">
										<out:if test="WELL_SUB_TY_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_SUB_TY_ID">
											<out:attribute name="selected">selected</out:attribute>
										</out:if>
										<out:value-of select="WELL_SUB_TY_NM" />
									</option>
								</out:for-each>
							</select>
							<input name="xgf_selSubType_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_SUB_TY_ID" />
							<input name="xgf_selSubType_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selSubType" />
							<span id="selSubType_message_container"></span>
						</td>
						<td class="vertical" colspan="4" id="grpSubTypeOther">
							<div class="formElement">
								<span class="labelBackground" id="txtSubtypeOther_label_container" style="width : 150px;">
									<label class="label" for="txtSubtypeOther" id="txtSubtypeOther_label">Describe sub-type</label>
								</span>
								<span class="defaultBackground" id="txtSubtypeOther_container">
									<input class="textbox" id="txtSubtypeOther" name="txtSubtypeOther" style="width : 262px;" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_SUB_TY_OTH_DESC}" />
									<input name="xgf_txtSubtypeOther_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_SUB_TY_OTH_DESC" />
									<input name="xgf_txtSubtypeOther_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtSubtypeOther" />
									<span id="txtSubtypeOther_message_container"></span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="txtDistToTown_label_container" style="width : 106px;">
							<label class="label" for="txtDistToTown" id="txtDistToTown_label">Distance to town (miles)</label>
						</td>
						<td class="defaultBackground" id="txtDistToTown_container">
							<input class="textbox" id="txtDistToTown" name="txtDistToTown" style="width : 89px;" title="The distance (miles) and direction to the nearest town " type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/DIST_TO_TOWN}" />
							<input name="xgf_txtDistToTown_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/DIST_TO_TOWN" />
							<input name="xgf_txtDistToTown_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtDistToTown" />
							<span id="txtDistToTown_message_container"></span>
						</td>
						<td class="labelBackground" id="txtDistToWell_label_container">
							<label class="label" for="txtDistToWell" id="txtDistToWell_label">Distance to nearest well (miles) *</label>
						</td>
						<td class="defaultBackground" id="txtDistToWell_container">
							<input class="textbox" id="txtDistToWell" name="txtDistToWell" style="width : 90px;" title="Distance (miles) and direction to the nearest well from surface hole location. Include that well's type and status" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/DIST_TO_NRST_WELL}" />
							<input name="xgf_txtDistToWell_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/DIST_TO_NRST_WELL" />
							<input name="xgf_txtDistToWell_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtDistToWell" />
							<span id="txtDistToWell_message_container"></span>
						</td>
						<td class="labelBackground" id="txtDistToLease_label_container" style="width : 160px;">
							<label class="label" for="txtDistToLease" id="txtDistToLease_label">Distance to lease line (feet) *</label>
						</td>
						<td class="defaultBackground" id="txtDistToLease_container">
							<input class="textbox" id="txtDistToLease" name="txtDistToLease" style="width : 68px;" title="The distance (feet) from the Surface hole for the well to the nearest lease line" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/DIST_TO_LSE_LINE}" />
							<input name="xgf_txtDistToLease_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/DIST_TO_LSE_LINE" />
							<input name="xgf_txtDistToLease_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtDistToLease" />
							<span id="txtDistToLease_message_container"></span>
						</td>
					</tr>
					<tr>
						<td class="vertical" colspan="6" id="layout_group_6">
							<div class="formElement">
								<span class="labelBackground" id="txtAcreSpacing_label_container">
									<label class="label" for="txtAcreSpacing" id="txtAcreSpacing_label">Reservoir well spacing assigned acres measurement *</label>
								</span>
								<span class="defaultBackground" id="txtAcreSpacing_container">
									<input class="textbox" id="txtAcreSpacing" name="txtAcreSpacing" title="Number of acres assigned to the proposed well, from approved state spacing pattern (or proration unit)" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/RSRVR_WELL_SPCNG_AC_ME}" />
									<input name="xgf_txtAcreSpacing_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/RSRVR_WELL_SPCNG_AC_ME" />
									<input name="xgf_txtAcreSpacing_xpath_xga_loadAPD_App3_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtAcreSpacing" />
									<span id="txtAcreSpacing_message_container"></span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td colspan="6">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layoutWellPlat" summary="">
								<tr>
									<td class="labelBackground" id="oWellPlat_label_container">
										<label class="label" for="oWellPlat" id="oWellPlat_label">Well Plat *</label>
									</td>
									<td class="defaultBackground" id="oWellPlat_container">
										<span class="output" id="oWellPlat">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:oWellPlat) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:oWellPlat = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:oWellPlat" />
												</out:otherwise>
											</out:choose>
										</span>
										<span class="hintIcon" id="oWellPlat_message_container" onmousemove="hyf.util.showTipMessage(arguments[0]);" onmouseout="hyf.util.hideTipMessage(arguments[0]);">
&#160;&#160;&#160;&#160;&#160;&#160;										</span>
									</td>
									<td class="hidden vertical" id="layoutFilePath">
										<div class="formElement">
											<span class="defaultBackground" id="txtWellPlat_container">
												<input class="textbox" id="txtWellPlat" name="txtWellPlat" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_PLAT_FILE_PTH}" />
												<input name="xgf_txtWellPlat_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_PLAT_FILE_PTH" />
												<span id="txtWellPlat_message_container"></span>
											</span>
										</div>
									</td>
									<td>
										<div class="customControl" id="divWellPlat" xmlns="http://www.hyfinity.com/xfactory">
											<input id="docWellPlat" name="docWellPlat" onChange="updtFileName(10485760,'WellPlat')" size="10" type="file" />
										</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td class="horizontal" colspan="6" id="grpWorkStart">
							<span class="formElement">
								<span class="labelBackground" id="dteWorkStart_label_container" style="width : 156px;">
									<label class="label" for="dteWorkStart" id="dteWorkStart_label">Well work start date *</label>
								</span>
								<span class="defaultBackground" id="dteWorkStart_container">
									<input class="textbox" id="dteWorkStart" name="dteWorkStart" size="10" title="Estimated date that work will start, specified on the pad for the well" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WRK_STRT_DT}">
										<out:attribute name="value">
											<out:if test="(/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WRK_STRT_DT != '')">
												<out:call-template name="parse-format-date">
													<out:with-param name="source_string" select="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WRK_STRT_DT" />
													<out:with-param name="source_pattern">yyyy-MM-dd'T'hh:mm:ss</out:with-param>
													<out:with-param name="target_pattern">yyyy-MM-dd</out:with-param>
												</out:call-template>
											</out:if>
										</out:attribute>
									</input>
									<input name="xgf_dteWorkStart_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WRK_STRT_DT" />
									<input name="xgf_dteWorkStart_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:dteWorkStart" />
									<script type="text/javascript">hyf.calendar.config['dteWorkStart'] = {popup: true, type: 'year_select', hasDropDowns: false, dataFormat: 'yyyy-MM-dd\'T\'hh:mm:ss'};</script>
									<a class="datePickerIcon" href="#" id="dteWorkStart_calendar_anchor" name="dteWorkStart_calendar_anchor" onclick="hyf.calendar.showCalendar('dteWorkStart');return false;">
     									</a>
									<input name="dteWorkStart_date_conversion_input" type="hidden" value="yyyy-MM-dd" />
									<input name="dteWorkStart_date_conversion_output" type="hidden" value="yyyy-MM-dd'T'hh:mm:ss" />
									<span id="dteWorkStart_message_container"></span>
								</span>
							</span>
							<span class="formElement">
								<span class="labelBackground" id="txtWorkDuration_label_container" style="width : 134px;">
									<label class="label" for="txtWorkDuration" id="txtWorkDuration_label">Duration (days) *</label>
								</span>
								<span class="defaultBackground" id="txtWorkDuration_container">
									<input class="textbox" id="txtWorkDuration" name="txtWorkDuration" style="width : 57px;" title="Time to drill the well in days from spudding to completion of drilling operations" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/EST_DUR}" />
									<input name="xgf_txtWorkDuration_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/EST_DUR" />
									<input name="xgf_txtWorkDuration_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtWorkDuration" />
									<span id="txtWorkDuration_message_container"></span>
								</span>
							</span>
						</td>
					</tr>
				</table>
			</fieldset>
			<div class="hidden vertical" id="hiddenGroup">
				<div class="partialPageContainer vertical" id="ppgMasterPlan"></div>
				<div class="formElement">
					<span class="labelBackground" id="wellClassMultiLat_label_container">
						<label class="label" for="wellClassMultiLat" id="wellClassMultiLat_label">WellClassMultiLat</label>
					</span>
					<span class="defaultBackground" id="wellClassMultiLat_container">
						<input class="textbox" id="wellClassMultiLat" name="wellClassMultiLat" type="text" value="6" />
						<input name="xgf_wellClassMultiLat_xpath_xga_saveAPD_App2_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:wellClassMultiLat" />
						<span id="wellClassMultiLat_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="prevWellLegs_label_container">
						<label class="label" for="prevWellLegs" id="prevWellLegs_label">Prev Legs</label>
					</span>
					<span class="defaultBackground" id="prevWellLegs_container">
						<input class="textbox" id="prevWellLegs" name="prevWellLegs" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/NR_OF_MULTILAT_LEGS}">
							<out:if test="not(/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/NR_OF_MULTILAT_LEGS) or (/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/NR_OF_MULTILAT_LEGS = '')">
								<out:attribute name="value">1</out:attribute>
							</out:if>
						</input>
						<input name="xgf_prevWellLegs_xpath_xga_saveAPD_App2_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:prevWellLegs" />
						<span id="prevWellLegs_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="updateWellTable_label_container">
						<label class="label" for="updateWellTable" id="updateWellTable_label">Update WellTable</label>
					</span>
					<span class="defaultBackground" id="updateWellTable_container">
						<input class="textbox" id="updateWellTable" name="updateWellTable" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:updateWellTable}">
							<out:if test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:updateWellTable) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:updateWellTable = '')">
								<out:attribute name="value">NO</out:attribute>
							</out:if>
						</input>
						<input name="xgf_updateWellTable_xpath_xga_saveAPD_App2_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:updateWellTable" />
						<span id="updateWellTable_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="WellID_label_container">
						<label class="label" for="WellID" id="WellID_label">Well ID</label>
					</span>
					<span class="defaultBackground" id="WellID_container">
						<input class="textbox" id="WellID" name="WellID" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_ID}" />
						<input name="xgf_WellID_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/WELL_ID" />
						<input name="xgf_WellID_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:WellID" />
						<span id="WellID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="AppID_label_container">
						<label class="label" for="AppID" id="AppID_label">App ID</label>
					</span>
					<span class="defaultBackground" id="AppID_container">
						<input class="textbox" id="AppID" name="AppID" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/APP_ID}" />
						<input name="xgf_AppID_xpath_xga_saveAPD_App2" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO2_VW/record/APP_ID" />
						<input name="xgf_AppID_xpath_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:AppID" />
						<span id="AppID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="MASTER_PLAN_ID_label_container">
						<label class="label" for="MASTER_PLAN_ID" id="MASTER_PLAN_ID_label">MASTER PLAN ID</label>
					</span>
					<span class="defaultBackground" id="MASTER_PLAN_ID_container">
						<span class="textbox" id="MASTER_PLAN_ID">
							<out:choose>
								<out:when test="not(/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_DEV_PLN_VW/record/MASTER_PLAN_ID) or (/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_DEV_PLN_VW/record/MASTER_PLAN_ID = '')">
									<out:text disable-output-escaping="yes">&amp;#160;</out:text>
								</out:when>
								<out:otherwise>
									<out:value-of select="/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_DEV_PLN_VW/record/MASTER_PLAN_ID" />
								</out:otherwise>
							</out:choose>
						</span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="MASTER_PLAN_ID_2_label_container">
						<label class="label" for="MASTER_PLAN_ID_2" id="MASTER_PLAN_ID_2_label">MASTER PLAN ID</label>
					</span>
					<span class="defaultBackground" id="MASTER_PLAN_ID_2_container">
						<span class="textbox" id="MASTER_PLAN_ID_2">
							<out:choose>
								<out:when test="not(/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_DRLNG_PLN_VW/record/MASTER_PLAN_ID) or (/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_DRLNG_PLN_VW/record/MASTER_PLAN_ID = '')">
									<out:text disable-output-escaping="yes">&amp;#160;</out:text>
								</out:when>
								<out:otherwise>
									<out:value-of select="/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_DRLNG_PLN_VW/record/MASTER_PLAN_ID" />
								</out:otherwise>
							</out:choose>
						</span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="MASTER_PLAN_ID_3_label_container">
						<label class="label" for="MASTER_PLAN_ID_3" id="MASTER_PLAN_ID_3_label">MASTER PLAN ID</label>
					</span>
					<span class="defaultBackground" id="MASTER_PLAN_ID_3_container">
						<span class="textbox" id="MASTER_PLAN_ID_3">
							<out:choose>
								<out:when test="not(/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_SUPO_PLN_VW/record/MASTER_PLAN_ID) or (/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_SUPO_PLN_VW/record/MASTER_PLAN_ID = '')">
									<out:text disable-output-escaping="yes">&amp;#160;</out:text>
								</out:when>
								<out:otherwise>
									<out:value-of select="/mvc:eForm/mvc:Data/OPER_EXSTNG_MSTR_SUPO_PLN_VW/record/MASTER_PLAN_ID" />
								</out:otherwise>
							</out:choose>
						</span>
					</span>
				</div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMDev1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMDev2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMDev3</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpNewMDev', condition: { type: '==', values: [{ type: 'field', name: 'rbMDev'}, 'NEW'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtNewMasterName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpExistMDev', condition: { type: '==', values: [{ type: 'field', name: 'rbMDev'}, 'EXISTING'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>selMasterName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutDP_SUPO_MP', condition: { type: '==', values: [{ type: 'field', name: 'rbMDev'}, 'NO'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMSupo1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMSupo2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMSupo3</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpNewMSupo', condition: { type: '==', values: [{ type: 'field', name: 'rbMSupo'}, 'NEW'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtNewSUPOName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpExistMSupo', condition: { type: '==', values: [{ type: 'field', name: 'rbMSupo'}, 'EXISTING'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>selSUPOName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMDrill1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMDrill2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbMDrill3</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpNewMDrill', condition: { type: '==', values: [{ type: 'field', name: 'rbMDrill'}, 'NEW'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtNewDPName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpExistMDrill', condition: { type: '==', values: [{ type: 'field', name: 'rbMDrill'}, 'EXISTING'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>selDPName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtWellName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtWellNum</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAPINum</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbFieldPool1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbFieldPool2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpFieldname', condition: { type: '==', values: [{ type: 'field', name: 'rbFieldPool'}, 'FP'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtField</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtPool</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/MIN_RSRC_REF/record">
				<out:text>
            field = document.getElementById('</out:text>
				<out:text>chkMinerals</out:text>
				<out:value-of select="position()" />
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','selectMany');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_element','</out:text>
				<out:text disable-output-escaping="yes">chkMinerals');</out:text>
			</out:for-each>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpOtherMineralDesc', condition: { type: '==', values: [{ type: 'field', name: 'chkMinerals'}, '11'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOtherMinerals</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbHeliumArea1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbHeliumArea2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbExistPad1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbExistPad2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpNewDisturb', condition: { type: '==', values: [{ type: 'field', name: 'rbExistPad'}, 'YES'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbNewDisturbance1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbNewDisturbance2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbPadType1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbPadType2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpMultiPad', condition: { type: '==', values: [{ type: 'field', name: 'rbPadType'}, 'MULTIPLE WELL'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>multPadName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>multPadNum</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/WELL_CLASS_REF/record">
				<out:text>
            field = document.getElementById('</out:text>
				<out:text>rbWellClass</out:text>
				<out:value-of select="position()" />
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpNumLegs', condition: { type: '==', values: [{ type: 'field', name: 'rbWellClass'}, '6'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtNumLegs</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbWorkType1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbWorkType2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selWellType</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpWellOther', condition: { type: '==', values: [{ type: 'field', name: 'selWellType'}, '10'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtWellTypeOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selSubType</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpSubTypeOther', condition: { type: '==', values: [{ type: 'field', name: 'selSubType'}, '12'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtSubtypeOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtDistToTown</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtDistToWell</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtDistToLease</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAcreSpacing</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oWellPlat</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text disable-output-escaping="yes">field = document.getElementById('</out:text>
			<out:text disable-output-escaping="yes">oWellPlat_message_container');
                field.setAttribute('_hintClass','hintIcon');field.setAttribute('_hintMessage','The plat must describe the location of operations in:&lt;br /&gt;- Geographical coordinates referenced to the &lt;br /&gt;National Spatial Reference System, North American&lt;br /&gt;Datum 1983 or latest edition; and&lt;br /&gt;- In feet and direction from the nearest two adjacent section lines, &lt;br /&gt;or, if not within the Rectangular Survey System, &lt;br /&gt;the nearest two adjacent property lines, generated from the &lt;br /&gt;BLM’s current Geographic Coordinate Data Base.');field.setAttribute('_hintMessageShow','true');field.setAttribute('_tipMessage','The plat must describe the location of operations in:&lt;br /&gt;- Geographical coordinates referenced to the &lt;br /&gt;National Spatial Reference System, North American&lt;br /&gt;Datum 1983 or latest edition; and&lt;br /&gt;- In feet and direction from the nearest two adjacent section lines, &lt;br /&gt;or, if not within the Rectangular Survey System, &lt;br /&gt;the nearest two adjacent property lines, generated from the &lt;br /&gt;BLM’s current Geographic Coordinate Data Base.');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtWellPlat</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>dteWorkStart</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_data_date_format','yyyy-MM-dd\'T\'hh:mm:ss');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_display_date_format','yyyy-MM-dd');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','date');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtWorkDuration</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>wellClassMultiLat</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>prevWellLegs</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>updateWellTable</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>WellID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>AppID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>MASTER_PLAN_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>MASTER_PLAN_ID_2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>MASTER_PLAN_ID_3</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_AppSect2onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    setFilePath('WellPlat');
            }
            hyf.attachEventHandler(window, 'onload', APD_AppSect2onload);
                    
            function rbMDevonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'rbMDev', field: document.getElementById('rbMDev')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'rbMDev'}, {name: 'Comparison', option: '!=', value: ''}, {name: 'CheckValue', option: 'Static', value: 'NO'}, objEventSource)) {
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'layoutDP_SUPO_MP'};
                    var objMode = {name: 'Mode', option: 'clear', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    } else {
                    }
                    })();
            }
            
            function selMasterNameonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'selMasterName', field: document.getElementById('selMasterName')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkConfirm({name: 'Message', option: 'Static', value: 'This action will replace all data in the SUPO and Drilling plan for this APD.  Do you want to continue?'}, objEventSource)) {
                    var objAction = {name: 'Action', option: 'Action', value: 'copyMasterPlan.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgMasterPlan'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'grpExistMDev'};
                    var objMode = {name: 'Mode', option: 'reset', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    }
                    })();
            }
            
            function selSUPONameonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'selSUPOName', field: document.getElementById('selSUPOName')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkConfirm({name: 'Message', option: 'Static', value: 'This action will replace all data in the SUPO for this APD.  Do you want to continue?'}, objEventSource)) {
                    var objAction = {name: 'Action', option: 'Action', value: 'copyMasterSUPO.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgMasterPlan'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'grpExistMSupo'};
                    var objMode = {name: 'Mode', option: 'reset', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    }
                    })();
            }
            
            function selDPNameonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'selDPName', field: document.getElementById('selDPName')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkConfirm({name: 'Message', option: 'Static', value: 'This action will replace all data in the Drilling plan for this APD.  Do you want to continue?'}, objEventSource)) {
                    var objAction = {name: 'Action', option: 'Action', value: 'copyMasterDP.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgMasterPlan'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'grpExistMDrill'};
                    var objMode = {name: 'Mode', option: 'reset', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    }
                    })();
            }
            
            function rbWellClassonclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'rbWellClass', field: document.getElementById('rbWellClass')};

                return dojo.hitch(objEventSource.field, function(){
                    wellClassChange();
                    })();
            }
            
            function txtNumLegsonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'txtNumLegs', field: document.getElementById('txtNumLegs')};

                return dojo.hitch(objEventSource.field, function(){
                    wellClassChange();
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
