<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">operatorInfo</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_operatorInfo" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript" xmlns=""></script>
		<script src="js/APD.js" type="text/javascript" xmlns=""></script>
		<script src="js/App.js" type="text/javascript" xmlns=""></script>
		<script src="js/Util.js" type="text/javascript" xmlns=""></script>
		<script src="js/DocMgmt.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" xmlns:xg="http://www.hyfinity.com/xgate" >		<div _use="group" class="vertical" id="layout_group" xmlns="">
			<fieldset class="fieldsetInnerGroup vertical" id="layoutOperator" style="border: 1px solid;">
				<legend class="groupLabelBackground" id="layoutOperator_label_container" style="width : 185px;">
					<span class="label" id="layoutOperator_label">Operator Info</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_4" summary="">
					<tr>
						<td class="labelBackground" id="txtOperName_label_container">
							<label class="label" for="txtOperName" id="txtOperName_label">Operator Organization Name</label>
						</td>
						<td class="defaultBackground" colspan="3" id="txtOperName_container">
							<span class="output" id="txtOperName">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/ORG_NM) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/ORG_NM = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/ORG_NM" />
									</out:otherwise>
								</out:choose>
							</span>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="txtOperAddr_label_container">
							<label class="label" for="txtOperAddr" id="txtOperAddr_label">Operator Address</label>
						</td>
						<td class="defaultBackground" colspan="3" id="txtOperAddr_container">
							<span class="output" id="txtOperAddr">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/ST_NM) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/ST_NM = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/ST_NM" />
									</out:otherwise>
								</out:choose>
							</span>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="txtOperPO_label_container">
							<label class="label" for="txtOperPO" id="txtOperPO_label">Operator PO Box</label>
						</td>
						<td class="defaultBackground" colspan="3" id="txtOperPO_container">
							<span class="output" id="txtOperPO">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/POBOX) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/POBOX = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/POBOX" />
									</out:otherwise>
								</out:choose>
							</span>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td colspan="6">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group_3" summary="">
								<tr>
									<td class="labelBackground" id="txtOperCity_label_container">
										<label class="label" for="txtOperCity" id="txtOperCity_label">Operator City</label>
									</td>
									<td class="defaultBackground" id="txtOperCity_container">
										<span class="output" id="txtOperCity">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/CITY) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/CITY = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/CITY" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="labelBackground" id="selOperState_label_container" style="width : 70px;">
										<label class="label" for="selOperState" id="selOperState_label">State</label>
									</td>
									<td class="defaultBackground" id="selOperState_container">
										<span class="output" id="selOperState" style="width : 110px;">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/STATE) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/STATE = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/STATE" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="labelBackground" id="txtOperZip_label_container" style="width : 50px;">
										<label class="label" for="txtOperZip" id="txtOperZip_label">Zip</label>
									</td>
									<td class="defaultBackground" id="txtOperZip_container">
										<span class="output" id="txtOperZip">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/ZIP) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/ZIP = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/ZIP" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="txtOperPhone_label_container">
							<label class="label" for="txtOperPhone" id="txtOperPhone_label">Operator Phone</label>
						</td>
						<td class="defaultBackground" id="txtOperPhone_container">
							<span class="output" id="txtOperPhone">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/TEL_NR) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/TEL_NR = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/TEL_NR" />
									</out:otherwise>
								</out:choose>
							</span>
						</td>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="txtOperInternet_label_container">
							<label class="label" for="txtOperInternet" id="txtOperInternet_label">Operator Internet Address</label>
						</td>
						<td class="defaultBackground" id="txtOperInternet_container">
							<span class="output" id="txtOperInternet">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/EMAIL) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/EMAIL = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/EMAIL" />
									</out:otherwise>
								</out:choose>
							</span>
						</td>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
					</tr>
				</table>
			</fieldset>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" xmlns:xg="http://www.hyfinity.com/xgate">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperAddr</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperPO</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperCity</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selOperState</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperZip</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperPhone</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperInternet</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"></xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
