function setFilePath(rootName)
{
    var filepath = document.getElementById('txt'+rootName).value;     
    if(filepath != "")
    {
        var fname = "";  
        var index = filepath.lastIndexOf("\\");     
        fname = filepath.substring(index + 1);
          
        filepath = "<a href=\"/bizflow/" + filepath + "\" target=_blank>" + fname + "</a>"; 
        document.getElementById('o'+rootName).innerHTML = filepath;        
        
    }   
}

function uploadFile(rootName) 
{
    var result = false;
    
    var fileObj = document.getElementById('doc'+rootName);

    var file = fileObj.files[0];
    if(file == null || file == "") //no file selected
    {
		alert('No file selected');
		return false;
	}

    var fileType = rootName;
    var filePath = document.getElementById('txt'+rootName).value;
    var appID = document.getElementById('AppID').value;
    var docUser = document.getElementById('MemberName').value;
    docUser = docUser.replace(/[&\/\\#,+()$~%.'":*?<>{}@!]/g,'_');

	var data = new FormData();
    data.append('doc'+rootName, file);

	try
    {
        if (window.XMLHttpRequest)
        {// code for IE7+, Firefox, Chrome, Opera, Safari
            xmlhttp=new XMLHttpRequest();
        }
        else
        {// code for IE6, IE5
            xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
        }

 		var URL="/bizflow/solutions/blm/uploaddocument.jsp?appType=APD&appId=" + appID + "&docUser=" + docUser + "&fileType=" + fileType + "&filePath=" + filePath;
		//alert(URL);
		xmlhttp.open("POST" ,URL, false);
        xmlhttp.send(data);

        var textMessage = xmlhttp.responseText;
		//alert('Return: '+textMessage);
        var chars = chars || "\\s";
        ret = textMessage.replace(new RegExp("^[" + chars + "]+", "g"), "");
        ret = ret.replace(new RegExp("[" + chars + "]+$", "g"), "");
        if(ret.substring(0,9) == "solutions")
        {
            document.getElementById('txt'+rootName).value = ret;
			setFilePath(rootName);
            result = true;
        } else {
			if(ret == "fileoverlimit")
			{
				alert("failed to upload a file due to file size limitation.");
				result = false;
			} else {
				alert("failed to upload a file, please check with administrator");
				result = false;
			}
		}
    }
    catch (e)
    {
        //alert(e.description);
        alert("failed to upload a file, please check with administrator");
        result = false;
    }

     return result;
}

function clearFileInput(rootName) 
{ 
	var objParentDiv = document.getElementById('div'+rootName); 
	var oldInput = document.getElementById('doc'+rootName); 
	
	objParentDiv.removeChild(oldInput);
		
	var newInput = document.createElement("input"); 
	newInput.setAttribute("type", "file");
	newInput.setAttribute("id", 'doc'+rootName);
	newInput.setAttribute("name", 'doc'+rootName);
	newInput.setAttribute("size", "10");        
	
	newInput.setAttribute("onChange", "updtFileName(10485760, '"+rootName+"');");
	objParentDiv.appendChild(newInput);
	
	document.getElementById('o'+rootName).innerHTML = "none";
	 
}

function updtFileName(max_file_size, rootName)
{
	var inputFile = document.getElementById('doc'+rootName);
	if(inputFile.files[0].size > max_file_size)
	{
	    alert("The file must be less than " + (max_file_size/1024/1024) + "MB");
	    clearFileInput(rootName);            
	} else {
	    var fileName = inputFile.files[0].name;
	    var indx = fileName.lastIndexOf(".");     
	    var ext = fileName.substring(indx + 1).toLowerCase();
	    if(ext =='pdf' || ext == 'eps' || ext == 'gif' || ext == 'htm' || 
			ext == 'html' || ext == 'jpg' || ext == 'xls' || ext == 'xlsx' || 
			ext == 'ppt' || ext == 'pptx' || ext == 'snp' || ext == 'doc' || 
			ext == 'docx' || ext == 'pcx' || ext == 'ps' || ext == 'rtf' || 
			ext == 'txt' || ext == 'tif' || ext == 'bmp' )
	    {
		    uploadFile(rootName);
	    } else {
		    alert('The file extension ' + ext + ' is not allowed!');
		    clearFileInput(rootName);                        
		}             
	}
}   