<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:import href="conversions.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_AppSect1</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_AppSect1" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/App.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
		<script src="js/DocMgmt.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" >		<xform:instance id="saveAPD_App1" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" xmlns:xg="http://www.hyfinity.com/xgate">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<selNOS />
						<selBLMOffice />
						<rbDesignated />
						<selOperator />
						<rbLeaseType />
						<rbSAA />
						<rbAllotted />
						<selReservation />
						<rbAgreement />
						<rbAgreeType />
						<txtAgreeNum />
						<txtAgreeName />
						<rbConfidential />
						<AppID />
						<txtValid />
						<txtValNum />
						<agreeID />
						<USER_ID />
					</formData>
					<APP_INFO_GENERAL_INFO_VW xmlns="">
						<record>
							<APP_ID />
							<OPER_ID />
							<APP_PRNT_ID />
							<SUBMSN_DT />
							<APP_CNFD_IND />
							<CNFD_EXP_DT />
							<APP_TY_CD />
							<PYMNT_ID />
							<OPER_USER_ID />
							<DESIG_AGNT_IND />
							<DESIG_AGNT_ORG_ID />
							<OPER_DESIG_LTR_FILE_PTH />
							<APP_LSE_TY_PNTR />
							<SRFCE_AGRMT_IN_PLC_IND />
							<BLM_OFC_ORG_UNIT_ID />
							<APP_ROW_REQ_CD_IND />
							<BZFLW_PRCS_ID />
							<APD_ID />
							<SRVY_TY_ID />
							<SRVY_NR />
							<SRVY_TY_OTH_DESC />
							<DATUM />
							<VERTICAL_DATUM />
							<CNSTR_FLG />
							<IDV_PRFX />
							<AGRMT_ID />
							<AGRMT_TY_ID />
							<AGRMT_NR />
							<AGRMT_GEO_NM />
							<INDN_ALLOTTEE_IND />
							<INDN_RES_CD />
							<INDN_TRBE_ID />
							<AGRMT_IN_PLC_IND />
							<RVW_ID />
							<OPER_CERT_SAA_IND />
						</record>
					</APP_INFO_GENERAL_INFO_VW>
					<WorkitemContext xmlns="">
						<SessionInfoXML />
						<Process>
							<ID />
							<Name />
							<Description />
							<State />
							<ProcessDefinitionID />
							<ProcessDefinitionName />
							<Deadline />
							<Initiator />
							<InitiatorName />
							<CreationDateTime />
							<CompleteDateTime />
							<ProcessVariables>
								<APDDecisionResp />
								<APDStatus />
								<APD_ID />
								<AcceptApprovalResp />
								<AddressDeferralResp />
								<AddressMissingResp />
								<Adjudicator />
								<AppID />
								<AuthorizedOfficer />
								<BLMApprovalDate />
								<DecisionToExtendResp />
								<DeferralDate />
								<Deficiencies />
								<DeficiencyNotificationDate />
								<DrillingPlanID />
								<EAppResp />
								<EDefResp />
								<EngAddDefer />
								<EngDefer />
								<Engineer />
								<ExtensionDate />
								<ExternalAgencies />
								<ExternalAgenciesNeeded />
								<FieldOfficeID />
								<GAppResp />
								<GDefResp />
								<GeoAddDefer />
								<GeoDefer />
								<Geologist />
								<LinkedNOSID />
								<LogDeferralResp />
								<NOSProcID />
								<NOSStatus />
								<OnsiteNeeded />
								<Operator />
								<OperatorID />
								<OperatorName />
								<PDAdjReviewResp />
								<PDEngReviewResp />
								<PDGeoReviewResp />
								<PDSurReviewResp />
								<PostingNeeded />
								<PrelimDone />
								<ProcID />
								<PublicPostDate />
								<Review10DayLetterResp />
								<ReviewAPDResp />
								<ReviewChangesResp />
								<SAppResp />
								<SDefResp />
								<SubmitAPDResp />
								<SubmitChangesAddressDeficienciesResp />
								<SubmitChangesNeeded />
								<SubmitpostResp />
								<SupoID />
								<SurAddDefer />
								<SurDefer />
								<SurfaceAnalyst />
								<UGNameAdjudicator />
								<UGNameEngineer />
								<UGNameFieldOffices />
								<UGNameGeologist />
								<UGNameOperators />
								<UGNameSurfaceAnalyst />
								<wihmode />
								<wihnoactions />
							</ProcessVariables>
							<CustomAttributes>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
							</CustomAttributes>
						</Process>
						<Activity>
							<Sequence />
							<Name />
							<Description />
							<State />
							<CreationDateTime />
							<CompleteDateTime />
							<Responses>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
							</Responses>
							<CustomAttributes>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
							</CustomAttributes>
						</Activity>
						<Workitem>
							<Sequence />
							<Participant />
							<ParticipantName />
							<ParticipantType />
							<State />
							<CreationDateTime />
							<StartDateTime />
							<CompleteDateTime />
							<CheckedOutUser />
							<CheckedOutUserName />
							<Deadline />
						</Workitem>
						<User>
							<LoginID />
							<MemberID />
							<Name />
							<ShortName />
							<DepartmentName />
							<EmployeeCode />
							<Email />
							<JobTitle1 />
							<JobTitle2 />
							<JobTitle3 />
							<CustomAttribute1 />
							<CustomAttribute2 />
							<CustomAttribute3 />
							<CustomAttribute4 />
							<CustomAttribute5 />
						</User>
						<Application>
							<Name />
							<ApplicationState />
							<CheckOutState />
							<CheckedOutUser />
							<Updatable />
							<ViewType />
						</Application>
					</WorkitemContext>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="validateAgreement" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<selNOS />
						<selBLMOffice />
						<rbDesignated />
						<selOperator />
						<rbLeaseType />
						<rbSAA />
						<rbAllotted />
						<selReservation />
						<rbAgreement />
						<rbAgreeType />
						<rbConfidential />
						<txtAgreeNum />
						<txtAgreeName />
						<AppID />
						<txtValid />
						<validationAgreementNumber />
						<validationResult />
						<validationMsg />
						<agreeID />
						<USER_ID />
					</formData>
					<WorkitemContext xmlns="">
						<SessionInfoXML />
						<Process>
							<ID />
							<Name />
							<Description />
							<State />
							<ProcessDefinitionID />
							<ProcessDefinitionName />
							<Deadline />
							<Initiator />
							<InitiatorName />
							<CreationDateTime />
							<CompleteDateTime />
							<ProcessVariables>
								<APDDecisionResp />
								<APDStatus />
								<APD_ID />
								<AcceptApprovalResp />
								<AddressDeferralResp />
								<AddressMissingResp />
								<Adjudicator />
								<AppID />
								<AuthorizedOfficer />
								<BLMApprovalDate />
								<DecisionToExtendResp />
								<DeferralDate />
								<Deficiencies />
								<DeficiencyNotificationDate />
								<DrillingPlanID />
								<EAppResp />
								<EDefResp />
								<EngAddDefer />
								<EngDefer />
								<Engineer />
								<ExtensionDate />
								<ExternalAgencies />
								<ExternalAgenciesNeeded />
								<FieldOfficeID />
								<GAppResp />
								<GDefResp />
								<GeoAddDefer />
								<GeoDefer />
								<Geologist />
								<LinkedNOSID />
								<LogDeferralResp />
								<NOSProcID />
								<NOSStatus />
								<OnsiteNeeded />
								<Operator />
								<PDAdjReviewResp />
								<PDEngReviewResp />
								<PDGeoReviewResp />
								<PDSurReviewResp />
								<PostingNeeded />
								<PrelimDone />
								<ProcID />
								<PublicPostDate />
								<Review10DayLetterResp />
								<ReviewAPDResp />
								<ReviewChangesResp />
								<SAppResp />
								<SDefResp />
								<SubmitAPDResp />
								<SubmitChangesAddressDeficienciesResp />
								<SubmitChangesNeeded />
								<SubmitpostResp />
								<SupoID />
								<SurAddDefer />
								<SurDefer />
								<SurfaceAnalyst />
								<UGNameAdjudicator />
								<UGNameEngineer />
								<UGNameFieldOffices />
								<UGNameGeologist />
								<UGNameOperators />
								<UGNameSurfaceAnalyst />
								<wihmode />
								<wihnoactions />
							</ProcessVariables>
							<CustomAttributes>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
							</CustomAttributes>
						</Process>
						<Activity>
							<Sequence />
							<Name />
							<Description />
							<State />
							<CreationDateTime />
							<CompleteDateTime />
							<Responses>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
							</Responses>
							<CustomAttributes>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
							</CustomAttributes>
						</Activity>
						<Workitem>
							<Sequence />
							<Participant />
							<ParticipantName />
							<ParticipantType />
							<State />
							<CreationDateTime />
							<StartDateTime />
							<CompleteDateTime />
							<CheckedOutUser />
							<CheckedOutUserName />
							<Deadline />
						</Workitem>
						<User>
							<LoginID />
							<MemberID />
							<Name />
							<ShortName />
							<DepartmentName />
							<EmployeeCode />
							<Email />
							<JobTitle1 />
							<JobTitle2 />
							<JobTitle3 />
							<CustomAttribute1 />
							<CustomAttribute2 />
							<CustomAttribute3 />
							<CustomAttribute4 />
							<CustomAttribute5 />
						</User>
						<Application>
							<Name />
							<ApplicationState />
							<CheckOutState />
							<CheckedOutUser />
							<Updatable />
							<ViewType />
						</Application>
					</WorkitemContext>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="loadOperator" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<selNOS />
						<selBLMOffice />
						<rbDesignated />
						<selOperator />
						<rbLeaseType />
						<rbSAA />
						<rbAllotted />
						<selReservation />
						<rbAgreement />
						<rbAgreeType />
						<rbConfidential />
						<txtAgreeNum />
						<txtValid />
						<txtAgreeName />
						<AppID />
						<agreeID />
						<validationAgreementNumber />
						<validationResult />
						<validationMsg />
						<agreement_number />
						<valid_agreement />
						<validation_msg />
						<USER_ID />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="copyNOSApp" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<selNOS />
						<selBLMOffice />
						<rbDesignated />
						<selOperator />
						<rbLeaseType />
						<rbSAA />
						<rbAllotted />
						<selReservation />
						<rbAgreement />
						<rbAgreeType />
						<rbConfidential />
						<txtAgreeNum />
						<txtValid />
						<txtAgreeName />
						<AppID />
						<USER_ID />
						<agreeID />
						<validationAgreementNumber />
						<validationResult />
						<validationMsg />
						<agreement_number />
						<valid_agreement />
						<validation_msg />
					</formData>
					<WorkitemContext xmlns="">
						<SessionInfoXML />
						<Process>
							<ID />
							<Name />
							<Description />
							<State />
							<ProcessDefinitionID />
							<ProcessDefinitionName />
							<Deadline />
							<Initiator />
							<InitiatorName />
							<CreationDateTime />
							<CompleteDateTime />
							<ProcessVariables>
								<APDDecisionResp />
								<APDStatus />
								<APD_ID />
								<AcceptApprovalResp />
								<AddressDeferralResp />
								<AddressMissingResp />
								<Adjudicator />
								<AppID />
								<AuthorizedOfficer />
								<BLMApprovalDate />
								<DecisionToExtendResp />
								<DeferralDate />
								<Deficiencies />
								<DeficiencyNotificationDate />
								<DrillingPlanID />
								<EAppResp />
								<EDefResp />
								<EngAddDefer />
								<EngDefer />
								<Engineer />
								<ExtensionDate />
								<ExternalAgencies />
								<ExternalAgenciesNeeded />
								<FieldOfficeID />
								<GAppResp />
								<GDefResp />
								<GeoAddDefer />
								<GeoDefer />
								<Geologist />
								<LinkedNOSID />
								<LogDeferralResp />
								<NOSProcID />
								<NOSStatus />
								<OnsiteNeeded />
								<Operator />
								<PDAdjReviewResp />
								<PDEngReviewResp />
								<PDGeoReviewResp />
								<PDSurReviewResp />
								<PostingNeeded />
								<PrelimDone />
								<ProcID />
								<PublicPostDate />
								<Review10DayLetterResp />
								<ReviewAPDResp />
								<ReviewChangesResp />
								<SAppResp />
								<SDefResp />
								<SubmitAPDResp />
								<SubmitChangesAddressDeficienciesResp />
								<SubmitChangesNeeded />
								<SubmitpostResp />
								<SupoID />
								<SurAddDefer />
								<SurDefer />
								<SurfaceAnalyst />
								<UGNameAdjudicator />
								<UGNameEngineer />
								<UGNameFieldOffices />
								<UGNameGeologist />
								<UGNameOperators />
								<UGNameSurfaceAnalyst />
								<wihmode />
								<wihnoactions />
							</ProcessVariables>
							<CustomAttributes>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
							</CustomAttributes>
						</Process>
						<Activity>
							<Sequence />
							<Name />
							<Description />
							<State />
							<CreationDateTime />
							<CompleteDateTime />
							<Responses>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
								<Response>
									<Name />
									<IsDefault />
									<Rule />
								</Response>
							</Responses>
							<CustomAttributes>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
								<CustomAttribute>
									<Name />
									<CustomAttributeValueType />
									<Value />
									<Description />
								</CustomAttribute>
							</CustomAttributes>
						</Activity>
						<Workitem>
							<Sequence />
							<Participant />
							<ParticipantName />
							<ParticipantType />
							<State />
							<CreationDateTime />
							<StartDateTime />
							<CompleteDateTime />
							<CheckedOutUser />
							<CheckedOutUserName />
							<Deadline />
						</Workitem>
						<User>
							<LoginID />
							<MemberID />
							<Name />
							<ShortName />
							<DepartmentName />
							<EmployeeCode />
							<Email />
							<JobTitle1 />
							<JobTitle2 />
							<JobTitle3 />
							<CustomAttribute1 />
							<CustomAttribute2 />
							<CustomAttribute3 />
							<CustomAttribute4 />
							<CustomAttribute5 />
						</User>
						<Application>
							<Name />
							<ApplicationState />
							<CheckOutState />
							<CheckedOutUser />
							<Updatable />
							<ViewType />
						</Application>
					</WorkitemContext>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="AppSect1">
			<fieldset class="fieldsetGroup vertical" id="grpSection1">
				<legend class="fieldsetGroupLabelBackground" id="grpSection1_label_container">
					<span class="label" id="grpSection1_label">Section 1 - General</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td class="labelBackground" id="APD_ID_label_container" style="width : 218px;">
							<label class="label" for="APD_ID" id="APD_ID_label">APD ID</label>
						</td>
						<td class="defaultBackground" id="APD_ID_container">
							<span class="output" id="APD_ID">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APD_ID) or (/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APD_ID = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APD_ID" />
									</out:otherwise>
								</out:choose>
							</span>
						</td>
						<td class="vertical" colspan="2" id="layoutSelectNOS">
							<div class="formElement">
								<span class="labelBackground" id="selNOS_label_container" style="width : 229px;">
									<label class="label" for="selNOS" id="selNOS_label">Tie to previous NOS? (select)</label>
								</span>
								<span class="defaultBackground" id="selNOS_container">
									<select class="select" id="selNOS" name="selNOS" onchange="return selNOSonchange((typeof(event) != 'undefined') ? event : arguments[0]);" title="If an AFMSS II NOS was processed for this well, select the NOS number.">
										<option value="">
											<out:text>-None-</out:text>
										</option>
										<out:for-each select="/mvc:eForm/mvc:Data/NOS_LIST/record">
											<option value="{APP_ID}" xmlns="">
												<out:if test="APP_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APP_PRNT_ID">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:value-of select="APD_ID" />
											</option>
										</out:for-each>
									</select>
									<input name="xgf_selNOS_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APP_PRNT_ID" xmlns="" />
									<input name="xgf_selNOS_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selNOS" xmlns="" />
									<span id="selNOS_message_container"></span>
								</span>
							</div>
						</td>
						<td class="hidden vertical" colspan="2" id="layoutSubmitDate">
							<div class="formElement">
								<span class="labelBackground" id="oSubmitDate_label_container">
									<label class="label" for="oSubmitDate" id="oSubmitDate_label">Submission Date</label>
								</span>
								<span class="defaultBackground" id="oSubmitDate_container">
									<span class="output" id="oSubmitDate">
										<out:choose>
											<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:oSubmitDate) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:oSubmitDate = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:oSubmitDate" />
											</out:otherwise>
										</out:choose>
									</span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="selBLMOffice_label_container" style="width : 218px;">
							<label class="label" for="selBLMOffice" id="selBLMOffice_label">BLM Office *</label>
						</td>
						<td class="defaultBackground" id="selBLMOffice_container">
							<select class="select" id="selBLMOffice" name="selBLMOffice" onchange="return selBLMOfficeonchange((typeof(event) != 'undefined') ? event : arguments[0]);" style="width : 192px;" title="BLM Field Office responsible for processing this APD">
								<out:if test="/mvc:eForm/mvc:Data/WorkitemContext/Activity/Name[.!='Submit APD'] and 
/mvc:eForm/mvc:Data/WorkitemContext/Activity/Name[.!='Submit post-NOS APD']">
									<out:attribute name="disabled">disabled</out:attribute>
									<out:attribute name="class">
										<out:text>disabled </out:text>
									</out:attribute>
								</out:if>
								<option value="">
									<out:text>-- Please Select --</out:text>
								</option>
								<out:for-each select="/mvc:eForm/mvc:Data/BLM_FLD_OFC_VW/record">
									<option value="{ORG_ID}" xmlns="">
										<out:if test="ORG_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/BLM_OFC_ORG_UNIT_ID">
											<out:attribute name="selected">selected</out:attribute>
										</out:if>
										<out:value-of select="ORG_NM" />
									</option>
								</out:for-each>
							</select>
							<input name="xgf_selBLMOffice_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/BLM_OFC_ORG_UNIT_ID" xmlns="" />
							<input name="xgf_selBLMOffice_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selBLMOffice" xmlns="" />
						</td>
						<td class="horizontal" colspan="4" id="layoutUser">
							<span class="formElement">
								<span class="labelBackground" id="oUserName_label_container" style="width : 58px;">
									<label class="label" for="oUserName" id="oUserName_label">User</label>
								</span>
								<span class="defaultBackground" id="oUserName_container">
									<span class="output" id="oUserName">
										<out:choose>
											<out:when test="not(/mvc:eForm/mvc:Data/WorkitemContext/User/Name) or (/mvc:eForm/mvc:Data/WorkitemContext/User/Name = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="/mvc:eForm/mvc:Data/WorkitemContext/User/Name" />
											</out:otherwise>
										</out:choose>
									</span>
								</span>
							</span>
							<span class="formElement">
								<span class="labelBackground" id="oTitle_label_container" style="width : 62px;">
									<label class="label" for="oTitle" id="oTitle_label">Title</label>
								</span>
								<span class="defaultBackground" id="oTitle_container">
									<span class="output" id="oTitle">
										<out:choose>
											<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/IDV_TITLE) or (/mvc:eForm/mvc:Data/USER_VW/record/IDV_TITLE = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/IDV_TITLE" />
											</out:otherwise>
										</out:choose>
									</span>
								</span>
							</span>
						</td>
					</tr>
					<tr>
						<td colspan="6">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group" summary="">
								<tr>
									<td class="labelBackground" id="rbLeaseType_label_container" style="vertical-align : middle; width : 155px;">
										<label class="label" for="rbLeaseType1" id="rbLeaseType_label">Federal/Indian APD *</label>
									</td>
									<td class="defaultBackground" id="rbLeaseType_container">
										<out:variable name="totalCount" select="count(/mvc:eForm/mvc:Data/APD_TY_REF/record)" />
										<out:for-each select="/mvc:eForm/mvc:Data/APD_TY_REF/record">
											<out:variable name="number" select="position()" />
											<out:choose>
												<out:when test="$number = 1">
													<out:text disable-output-escaping="yes">&lt;table cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; border=&quot;0&quot;&gt;&lt;tr&gt;</out:text>
												</out:when>
												<out:when test="(1 = 1) or (($number mod 1) = 1)">
													<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</out:text>
												</out:when>
											</out:choose>
											<td class="selectBoolean" xmlns="">
												<input class="checkbox" id="rbLeaseType{$number}" name="rbLeaseType" title="Select Federal if only Federal minerals are involved; Select Indian if only Indian minerals are involved; Select both if there are both Federal and Indian minerals involved. If both, this APD will be considered to be an Indian APD." type="checkbox" value="{APD_TY}">
													<out:if test="contains(concat(',',/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APP_LSE_TY_PNTR,','), concat(',',APD_TY,','))">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
											</td>
											<td class="selectBooleanCaption" xmlns="">
												<label for="rbLeaseType{$number}">
													<out:value-of select="APD_TY_NM" />
												</label>
											</td>
											<out:if test="$number = $totalCount">
												<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;/table&gt;</out:text>
											</out:if>
										</out:for-each>
										<input name="rbLeaseType_binding_format" type="hidden" value="csv" xmlns="" />
										<input name="xgf_rbLeaseType_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APP_LSE_TY_PNTR" xmlns="" />
										<input name="xgf_rbLeaseType_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbLeaseType" xmlns="" />
										<span class="hintIcon" id="rbLeaseType_message_container" onmousemove="hyf.util.showTipMessage(arguments[0]);" onmouseout="hyf.util.hideTipMessage(arguments[0]);">
&#160;&#160;&#160;&#160;&#160;&#160;										</span>
									</td>
									<td class="horizontal" id="allottedGroup">
										<span class="formElement">
											<span class="labelBackground" id="rbSAA_label_container" style="width : 261px;">
												<label class="label" for="rbSAA1" id="rbSAA_label">Surface access agreement in place?  *</label>
											</span>
											<span class="defaultBackground" id="rbSAA_container">
												<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
													<tr>
														<td class="selectBoolean">
															<input class="radio" id="rbSAA1" name="rbSAA" type="radio" value="Y">
																<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/SRFCE_AGRMT_IN_PLC_IND = 'Y'">
																	<out:attribute name="checked">checked</out:attribute>
																</out:if>
															</input>
														</td>
														<td class="selectBooleanCaption">
															<label for="rbSAA1">Yes</label>
														</td>
													</tr>
													<tr>
														<td class="selectBoolean">
															<input class="radio" id="rbSAA2" name="rbSAA" type="radio" value="N">
																<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/SRFCE_AGRMT_IN_PLC_IND = 'N'">
																	<out:attribute name="checked">checked</out:attribute>
																</out:if>
															</input>
															<input name="xgf_rbSAA_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/SRFCE_AGRMT_IN_PLC_IND" xmlns="" />
															<input name="xgf_rbSAA_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbSAA" xmlns="" />
														</td>
														<td class="selectBooleanCaption">
															<label for="rbSAA2">No</label>
														</td>
													</tr>
												</table>
												<input id="rbSAA_value_if_not_submitted" name="rbSAA_value_if_not_submitted" type="hidden" value="" />
												<span id="rbSAA_message_container"></span>
											</span>
										</span>
										<span class="formElement">
											<span class="labelBackground" id="rbAllotted_label_container" style="width : 96px; vertical-align : middle;">
												<label class="label" for="rbAllotted1" id="rbAllotted_label">Allotted?  *</label>
											</span>
											<span class="defaultBackground" id="rbAllotted_container">
												<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
													<tr>
														<td class="selectBoolean">
															<input class="radio" id="rbAllotted1" name="rbAllotted" type="radio" value="YES">
																<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/INDN_ALLOTTEE_IND = 'YES'">
																	<out:attribute name="checked">checked</out:attribute>
																</out:if>
															</input>
														</td>
														<td class="selectBooleanCaption">
															<label for="rbAllotted1">Yes</label>
														</td>
													</tr>
													<tr>
														<td class="selectBoolean">
															<input class="radio" id="rbAllotted2" name="rbAllotted" type="radio" value="NO">
																<out:if test="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/INDN_ALLOTTEE_IND = 'NO'">
																	<out:attribute name="checked">checked</out:attribute>
																</out:if>
															</input>
															<input name="xgf_rbAllotted_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/INDN_ALLOTTEE_IND" xmlns="" />
															<input name="xgf_rbAllotted_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbAllotted" xmlns="" />
														</td>
														<td class="selectBooleanCaption">
															<label for="rbAllotted2">No</label>
														</td>
													</tr>
												</table>
												<input id="rbAllotted_value_if_not_submitted" name="rbAllotted_value_if_not_submitted" type="hidden" value="" />
												<span id="rbAllotted_message_container"></span>
											</span>
										</span>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="2"> </td>
						<td class="horizontal" colspan="2" id="grpTribe" style="width : 378px;">
							<span class="formElement">
								<span class="labelBackground" id="selReservation_label_container" style="width : 122px;">
									<label class="label" for="selReservation" id="selReservation_label">Reservation  *</label>
								</span>
								<span class="defaultBackground" id="selReservation_container">
									<select class="select" id="selReservation" name="selReservation" title="The reservation the lease is on">
										<option value="">
											<out:text>-- Select --</out:text>
										</option>
										<out:for-each select="/mvc:eForm/mvc:Data/INDIAN_RES_REF/record">
											<option value="{INDN_RES_CD}" xmlns="">
												<out:if test="INDN_RES_CD = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/INDN_RES_CD">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:value-of select="INDN_RES_NM" />
											</option>
										</out:for-each>
									</select>
									<input name="xgf_selReservation_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/INDN_RES_CD" xmlns="" />
									<input name="xgf_selReservation_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selReservation" xmlns="" />
									<span id="selReservation_message_container"></span>
								</span>
							</span>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbAgreement_label_container" style="width : 218px;">
							<label class="label" for="rbAgreement1" id="rbAgreement_label">Agreement in place?  *</label>
						</td>
						<td class="defaultBackground" id="rbAgreement_container">
							<out:variable name="totalCount" select="count(/mvc:eForm/mvc:Data/APD_YN_REF/record)" />
							<out:for-each select="/mvc:eForm/mvc:Data/APD_YN_REF/record">
								<out:variable name="number" select="position()" />
								<span class="selectBoolean" xmlns="">
									<input class="radio" id="rbAgreement{$number}" name="rbAgreement" title="If this well is within the boundaries of an existing federal or Indian agreement, e.g., unit agreement, communitization agreement, select Yes. Enter the existing federal or Indian agreement number and name." type="radio" value="{YN_TY}">
										<out:if test="YN_TY = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_IN_PLC_IND">
											<out:attribute name="checked">checked</out:attribute>
										</out:if>
									</input>
								</span>
								<label class="selectBooleanCaption" for="rbAgreement{$number}" xmlns="">
									<out:value-of select="YN_TY_NM" />
								</label>
							</out:for-each>
							<input name="xgf_rbAgreement_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_IN_PLC_IND" xmlns="" />
							<input name="xgf_rbAgreement_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbAgreement" xmlns="" />
							<input id="rbAgreement_value_if_not_submitted" name="rbAgreement_value_if_not_submitted" type="hidden" value="" />
							<span id="rbAgreement_message_container"></span>
						</td>
						<td class="vertical" colspan="2" id="grpAgree1">
							<div class="formElement">
								<span class="labelBackground" id="rbAgreeType_label_container" style="width : 214px;">
									<label class="label" for="rbAgreeType1" id="rbAgreeType_label">Federal or Indian agreement *</label>
								</span>
								<span class="defaultBackground" id="rbAgreeType_container">
									<out:variable name="totalCount" select="count(/mvc:eForm/mvc:Data/AGRMT_TY_REF_VW/record)" />
									<out:for-each select="/mvc:eForm/mvc:Data/AGRMT_TY_REF_VW/record">
										<out:variable name="number" select="position()" />
										<out:choose>
											<out:when test="$number = 1">
												<out:text disable-output-escaping="yes">&lt;table cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; border=&quot;0&quot;&gt;&lt;tr&gt;</out:text>
											</out:when>
											<out:when test="(1 = 1) or (($number mod 1) = 1)">
												<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</out:text>
											</out:when>
										</out:choose>
										<td class="selectBoolean" xmlns="">
											<input class="radio" id="rbAgreeType{$number}" name="rbAgreeType" onchange="return rbAgreeTypeonchange((typeof(event) != 'undefined') ? event : arguments[0]);" title="Federal or Indian agreement" type="radio" value="{AGRMT_TY_ID}">
												<out:if test="AGRMT_TY_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_TY_ID">
													<out:attribute name="checked">checked</out:attribute>
												</out:if>
											</input>
										</td>
										<td class="selectBooleanCaption" xmlns="">
											<label for="rbAgreeType{$number}">
												<out:value-of select="AGRMT_TY_NM" />
											</label>
										</td>
										<out:if test="$number = $totalCount">
											<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;/table&gt;</out:text>
										</out:if>
									</out:for-each>
									<input name="xgf_rbAgreeType_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_TY_ID" xmlns="" />
									<input name="xgf_rbAgreeType_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbAgreeType" xmlns="" />
									<input id="rbAgreeType_value_if_not_submitted" name="rbAgreeType_value_if_not_submitted" type="hidden" value="" />
									<span id="rbAgreeType_message_container"></span>
								</span>
							</div>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td colspan="6">
							<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layoutAgreementInfo" summary="">
								<tr>
									<td class="horizontal" colspan="2" id="grpAgree2">
										<span class="formElement">
											<span class="labelBackground" id="txtAgreeNum_label_container" style="width : 194px;">
												<label class="label" for="txtAgreeNum" id="txtAgreeNum_label">Agreement number *</label>
											</span>
											<span class="defaultBackground" id="txtAgreeNum_container">
												<input class="textbox" id="txtAgreeNum" name="txtAgreeNum" onchange="return txtAgreeNumonchange((typeof(event) != 'undefined') ? event : arguments[0]);" title="Agreement number" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_NR}" />
												<input name="xgf_txtAgreeNum_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_NR" xmlns="" />
												<input name="xgf_txtAgreeNum_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtAgreeNum" xmlns="" />
												<span id="txtAgreeNum_message_container"></span>
											</span>
										</span>
									</td>
									<td class="horizontal" colspan="2" id="grpValidationResults">
										<div class="vertical" id="grpValidationPass" style="display:none;">
											<div class="formElement">
												<span class="defaultBackground" id="image_container">
													<img alt="Valid federal agreement number" class="image" id="image" name="image" src="images/validation_check.png" />
												</span>
											</div>
										</div>
										<div class="vertical" id="grpValidationFail" style="display:none;">
											<div class="formElement">
												<span class="defaultBackground" id="validationResultMsg_container">
													<span class="output" id="validationResultMsg" style="font-weight : bold; font-style : italic; color : #8b0000;" title="Invalid federal agreement number">
														<out:choose>
															<out:when test="not(/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/VALIDATION_MSG) or (/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/VALIDATION_MSG = '')">
																<out:text disable-output-escaping="yes">&amp;#160;</out:text>
															</out:when>
															<out:otherwise>
																<out:value-of select="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/VALIDATION_MSG" />
															</out:otherwise>
														</out:choose>
													</span>
												</span>
											</div>
										</div>
										<div class="hidden vertical" id="layout_group">
											<div class="formElement">
												<span class="labelBackground" id="txtValid_label_container">
													<label class="label" for="txtValid" id="txtValid_label">Valid?</label>
												</span>
												<span class="defaultBackground" id="txtValid_container">
													<input class="textbox" id="txtValid" name="txtValid" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/VALID_AGREEMENT}">
														<out:attribute name="value">
															<out:call-template name="convert-case">
																<out:with-param name="toconvert" select="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/VALID_AGREEMENT" />
																<out:with-param name="conversion">upper</out:with-param>
															</out:call-template>
														</out:attribute>
													</input>
													<input name="txtValid_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtValid" xmlns="" />
													<input name="txtValid_case_conversion" type="hidden" value="upper" />
													<span id="txtValid_message_container"></span>
												</span>
											</div>
										</div>
									</td>
								</tr>
								<tr>
									<td class="vertical" colspan="2" id="grpAgree3">
										<div class="formElement">
											<span class="labelBackground" id="txtAgreeName_label_container" style="width : 192px;">
												<label class="label" for="txtAgreeName" id="txtAgreeName_label">Agreement name *</label>
											</span>
											<span class="defaultBackground" id="txtAgreeName_container">
												<input class="textbox" id="txtAgreeName" name="txtAgreeName" title="Agreement geographic case name for a unit agreement" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_GEO_NM}" />
												<input name="xgf_txtAgreeName_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_GEO_NM" xmlns="" />
												<input name="xgf_txtAgreeName_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtAgreeName" xmlns="" />
												<span id="txtAgreeName_message_container"></span>
											</span>
										</div>
									</td>
									<td colspan="2"> </td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbConfidential_label_container" style="width : 218px;">
							<label class="label" for="rbConfidential1" id="rbConfidential_label">Keep application confidential?</label>
						</td>
						<td class="defaultBackground" id="rbConfidential_container">
							<out:variable name="totalCount" select="count(/mvc:eForm/mvc:Data/APD_YN_REF/record)" />
							<out:for-each select="/mvc:eForm/mvc:Data/APD_YN_REF/record">
								<out:variable name="number" select="position()" />
								<span class="selectBoolean" xmlns="">
									<input class="radio" id="rbConfidential{$number}" name="rbConfidential" title="Do you wish to petition to hold his APD as confidential for 1 year?" type="radio" value="{YN_TY}">
										<out:if test="YN_TY = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APP_CNFD_IND">
											<out:attribute name="checked">checked</out:attribute>
										</out:if>
									</input>
								</span>
								<label class="selectBooleanCaption" for="rbConfidential{$number}" xmlns="">
									<out:value-of select="YN_TY_NM" />
								</label>
							</out:for-each>
							<input name="xgf_rbConfidential_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APP_CNFD_IND" xmlns="" />
							<input name="xgf_rbConfidential_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbConfidential" xmlns="" />
							<input id="rbConfidential_value_if_not_submitted" name="rbConfidential_value_if_not_submitted" type="hidden" value="" />
							<span id="rbConfidential_message_container"></span>
						</td>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbDesignated_label_container" style="width : 218px;">
							<label class="label" for="rbDesignated1" id="rbDesignated_label">Designated Agent?</label>
						</td>
						<td class="defaultBackground" id="rbDesignated_container">
							<span class="selectBoolean">
								<input class="radio" id="rbDesignated1" name="rbDesignated" type="radio" value="DESIGNATED AGENT">
									<out:if test="/mvc:eForm/mvc:Data/USER_VW/record/ROLE_NM = 'DESIGNATED AGENT'">
										<out:attribute name="checked">checked</out:attribute>
									</out:if>
									<out:if test="/">
										<out:attribute name="disabled">disabled</out:attribute>
										<out:attribute name="class">
											<out:text>disabled </out:text>
										</out:attribute>
									</out:if>
								</input>
							</span>
							<label class="selectBooleanCaption" for="rbDesignated1">Yes</label>
							<span class="selectBoolean">
								<input class="radio" id="rbDesignated2" name="rbDesignated" type="radio" value="OPERATOR SIGNEE">
									<out:if test="/mvc:eForm/mvc:Data/USER_VW/record/ROLE_NM = 'OPERATOR SIGNEE'">
										<out:attribute name="checked">checked</out:attribute>
									</out:if>
									<out:if test="not(/mvc:eForm/mvc:Data/USER_VW/record/ROLE_NM) or (/mvc:eForm/mvc:Data/USER_VW/record/ROLE_NM = '')">
										<out:attribute name="checked">checked</out:attribute>
									</out:if>
									<out:if test="/">
										<out:attribute name="disabled">disabled</out:attribute>
										<out:attribute name="class">
											<out:text>disabled </out:text>
										</out:attribute>
									</out:if>
								</input>
								<input name="rbDesignated_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbDesignated" xmlns="" />
							</span>
							<label class="selectBooleanCaption" for="rbDesignated2">No</label>
							<input id="rbDesignated_value_if_not_submitted" name="rbDesignated_value_if_not_submitted" type="hidden" value="">
								<out:if test="/">
									<out:attribute name="disabled">disabled</out:attribute>
									<out:attribute name="class">
										<out:text>disabled </out:text>
									</out:attribute>
								</out:if>
							</input>
							<span id="rbDesignated_message_container"></span>
						</td>
						<td class="vertical" colspan="2" id="operGroup">
							<div class="formElement">
								<span class="labelBackground" id="selOperator_label_container" style="width : 125px;">
									<label class="label" for="selOperator" id="selOperator_label">APD Operator *</label>
								</span>
								<span class="defaultBackground" id="selOperator_container">
									<select class="select" id="selOperator" name="selOperator" onchange="return selOperatoronchange((typeof(event) != 'undefined') ? event : arguments[0]);" title="Select the operator for which this APD is being submitted">
										<out:if test="/mvc:eForm/mvc:Data/WorkitemContext/Activity/Name[.!='Submit APD']">
											<out:attribute name="disabled">disabled</out:attribute>
											<out:attribute name="class">
												<out:text>disabled </out:text>
											</out:attribute>
										</out:if>
										<out:for-each select="/mvc:eForm/mvc:Data/OPER_VW/record">
											<option value="{ORG_ID}" xmlns="">
												<out:if test="ORG_ID = /mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/OPER_ID">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:value-of select="ORG_NM" />
											</option>
										</out:for-each>
									</select>
									<input name="xgf_selOperator_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/OPER_ID" xmlns="" />
									<input name="xgf_selOperator_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selOperator" xmlns="" />
								</span>
							</div>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td colspan="6">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layoutOperLetter" summary="">
								<tr>
									<td class="labelBackground" id="oOperLetter_label_container">
										<label class="label" for="oOperLetter" id="oOperLetter_label">Operator letter of designation *</label>
									</td>
									<td class="defaultBackground" id="oOperLetter_container">
										<span class="output" id="oOperLetter" title="Attach the Letter of Designation for the operator">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:oOperLetter) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:oOperLetter = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:oOperLetter" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="hidden vertical" id="layoutFilePath">
										<div class="formElement">
											<span class="defaultBackground" id="txtOperLetter_container">
												<input class="textbox" id="txtOperLetter" name="txtOperLetter" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/OPER_DESIG_LTR_FILE_PTH}" />
												<input name="xgf_txtOperLetter_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/OPER_DESIG_LTR_FILE_PTH" xmlns="" />
												<span id="txtOperLetter_message_container"></span>
											</span>
										</div>
									</td>
									<td>
										<div class="customControl" id="divOperLetter" xmlns="http://www.hyfinity.com/xfactory">
											<input id="docOperLetter" name="docOperLetter" onChange="updtFileName(10485760,'OperLetter')" size="10" type="file" />
										</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="6">
							<fieldset class="fieldsetInnerGroup vertical" id="layoutDesignatedAgent" style="border: 1px solid;">
								<legend class="groupLabelBackground" id="layoutDesignatedAgent_label_container" style="width : 218px;">
									<span class="label" id="layoutDesignatedAgent_label">Designated Agent Info</span>
								</legend>
								<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_3" summary="">
									<tr>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtAgentAddr_label_container">
											<label class="label" for="txtAgentAddr" id="txtAgentAddr_label">Agent Address</label>
										</td>
										<td class="defaultBackground" id="txtAgentAddr_container">
											<span class="output" id="txtAgentAddr">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/ST_NM) or (/mvc:eForm/mvc:Data/USER_VW/record/ST_NM = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/ST_NM" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtAgentPO_label_container">
											<label class="label" for="txtAgentPO" id="txtAgentPO_label">Agent PO Box</label>
										</td>
										<td class="defaultBackground" id="txtAgentPO_container">
											<span class="output" id="txtAgentPO">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/POBOX) or (/mvc:eForm/mvc:Data/USER_VW/record/POBOX = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/POBOX" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td colspan="6">
											<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group_2" summary="">
												<tr>
													<td class="labelBackground" id="txtAgentCity_label_container">
														<label class="label" for="txtAgentCity" id="txtAgentCity_label">Agent City</label>
													</td>
													<td class="defaultBackground" id="txtAgentCity_container">
														<span class="output" id="txtAgentCity">
															<out:choose>
																<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/CITY) or (/mvc:eForm/mvc:Data/USER_VW/record/CITY = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/CITY" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="labelBackground" id="selAgentState_label_container" style="width : 70px;">
														<label class="label" for="selAgentState" id="selAgentState_label">State</label>
													</td>
													<td class="defaultBackground" id="selAgentState_container" style="width : 110px;">
														<span class="output" id="selAgentState">
															<out:choose>
																<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/STATE) or (/mvc:eForm/mvc:Data/USER_VW/record/STATE = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/STATE" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="labelBackground" id="txtAgentZip_label_container" style="width : 50px;">
														<label class="label" for="txtAgentZip" id="txtAgentZip_label">Zip</label>
													</td>
													<td class="defaultBackground" id="txtAgentZip_container">
														<span class="output" id="txtAgentZip">
															<out:choose>
																<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/ZIP) or (/mvc:eForm/mvc:Data/USER_VW/record/ZIP = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/ZIP" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtAgentPhone_label_container">
											<label class="label" for="txtAgentPhone" id="txtAgentPhone_label">Agent Phone</label>
										</td>
										<td class="defaultBackground" id="txtAgentPhone_container">
											<span class="output" id="txtAgentPhone">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/TEL_NR) or (/mvc:eForm/mvc:Data/USER_VW/record/TEL_NR = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/TEL_NR" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtAgentInternet_label_container">
											<label class="label" for="txtAgentInternet" id="txtAgentInternet_label">Agent Internet Address</label>
										</td>
										<td class="defaultBackground" colspan="3" id="txtAgentInternet_container">
											<span class="output" id="txtAgentInternet">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/EMAIL) or (/mvc:eForm/mvc:Data/USER_VW/record/EMAIL = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/EMAIL" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
									</tr>
								</table>
							</fieldset>
						</td>
					</tr>
					<tr>
						<td class="partialPageContainer vertical" colspan="6" id="ppg_Operator">
							<fieldset class="fieldsetInnerGroup vertical" id="layoutOperator" style="border: 1px solid;">
								<legend class="groupLabelBackground" id="layoutOperator_label_container" style="width : 185px;">
									<span class="label" id="layoutOperator_label">Operator Info</span>
								</legend>
								<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_4" summary="">
									<tr>
										<td class="labelBackground" id="txtOperName_label_container">
											<label class="label" for="txtOperName" id="txtOperName_label">Operator Organization Name</label>
										</td>
										<td class="defaultBackground" colspan="3" id="txtOperName_container">
											<span class="output" id="txtOperName">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/ORG_NM) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/ORG_NM = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/ORG_NM" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtOperAddr_label_container">
											<label class="label" for="txtOperAddr" id="txtOperAddr_label">Operator Address</label>
										</td>
										<td class="defaultBackground" colspan="3" id="txtOperAddr_container">
											<span class="output" id="txtOperAddr">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/ST_NM) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/ST_NM = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/ST_NM" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtOperPO_label_container">
											<label class="label" for="txtOperPO" id="txtOperPO_label">Operator PO Box</label>
										</td>
										<td class="defaultBackground" colspan="3" id="txtOperPO_container">
											<span class="output" id="txtOperPO">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/POBOX) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/POBOX = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/POBOX" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td colspan="6">
											<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group_3" summary="">
												<tr>
													<td class="labelBackground" id="txtOperCity_label_container">
														<label class="label" for="txtOperCity" id="txtOperCity_label">Operator City</label>
													</td>
													<td class="defaultBackground" id="txtOperCity_container">
														<span class="output" id="txtOperCity">
															<out:choose>
																<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/CITY) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/CITY = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/CITY" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="labelBackground" id="selOperState_label_container" style="width : 70px;">
														<label class="label" for="selOperState" id="selOperState_label">State</label>
													</td>
													<td class="defaultBackground" id="selOperState_container">
														<span class="output" id="selOperState" style="width : 110px;">
															<out:choose>
																<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/STATE) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/STATE = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/STATE" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="labelBackground" id="txtOperZip_label_container" style="width : 50px;">
														<label class="label" for="txtOperZip" id="txtOperZip_label">Zip</label>
													</td>
													<td class="defaultBackground" id="txtOperZip_container">
														<span class="output" id="txtOperZip">
															<out:choose>
																<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/ZIP) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/ZIP = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/ZIP" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtOperPhone_label_container">
											<label class="label" for="txtOperPhone" id="txtOperPhone_label">Operator Phone</label>
										</td>
										<td class="defaultBackground" id="txtOperPhone_container">
											<span class="output" id="txtOperPhone">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/TEL_NR) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/TEL_NR = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/TEL_NR" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td class="labelBackground" id="txtOperInternet_label_container">
											<label class="label" for="txtOperInternet" id="txtOperInternet_label">Operator Internet Address</label>
										</td>
										<td class="defaultBackground" id="txtOperInternet_container">
											<span class="output" id="txtOperInternet">
												<out:choose>
													<out:when test="not(/mvc:eForm/mvc:Data/OPERATOR_VW/record/EMAIL) or (/mvc:eForm/mvc:Data/OPERATOR_VW/record/EMAIL = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="/mvc:eForm/mvc:Data/OPERATOR_VW/record/EMAIL" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
									</tr>
								</table>
							</fieldset>
						</td>
					</tr>
				</table>
			</fieldset>
			<div class="hidden vertical" id="hiddenGroup">
				<div class="formElement">
					<span class="labelBackground" id="AppID_label_container">
						<label class="label" for="AppID" id="AppID_label">AppID</label>
					</span>
					<span class="defaultBackground" id="AppID_container">
						<input class="textbox" id="AppID" name="AppID" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APP_ID}" />
						<input name="xgf_AppID_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/APP_ID" xmlns="" />
						<input name="xgf_AppID_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:AppID" xmlns="" />
						<span id="AppID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="USER_ID_label_container">
						<label class="label" for="USER_ID" id="USER_ID_label">UserID</label>
					</span>
					<span class="defaultBackground" id="USER_ID_container">
						<input class="textbox" id="USER_ID" name="USER_ID" type="text" value="{/mvc:eForm/mvc:Data/USER_VW/record/IDV_ID}" />
						<input name="xgf_USER_ID_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/OPER_USER_ID" xmlns="" />
						<input name="xgf_USER_ID_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:USER_ID" xmlns="" />
						<span id="USER_ID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="agreeID_label_container">
						<label class="label" for="agreeID" id="agreeID_label">Agreement ID</label>
					</span>
					<span class="defaultBackground" id="agreeID_container">
						<input class="textbox" id="agreeID" name="agreeID" type="text" value="{/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_ID}" />
						<input name="xgf_agreeID_xpath_xga_saveAPD_App1" type="hidden" value="/mvc:eForm/mvc:Data/APP_INFO_GENERAL_INFO_VW/record/AGRMT_ID" xmlns="" />
						<input name="xgf_agreeID_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:agreeID" xmlns="" />
						<span id="agreeID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="ORG_ID_label_container">
						<label class="label" for="ORG_ID" id="ORG_ID_label">ORG ID</label>
					</span>
					<span class="defaultBackground" id="ORG_ID_container">
						<span class="textbox" id="ORG_ID">
							<out:choose>
								<out:when test="not(/mvc:eForm/mvc:Data/USER_VW/record/ORG_ID) or (/mvc:eForm/mvc:Data/USER_VW/record/ORG_ID = '')">
									<out:text disable-output-escaping="yes">&amp;#160;</out:text>
								</out:when>
								<out:otherwise>
									<out:value-of select="/mvc:eForm/mvc:Data/USER_VW/record/ORG_ID" />
								</out:otherwise>
							</out:choose>
						</span>
					</span>
				</div>
			</div>
			<div class="hidden vertical" id="validationGroup">
				<div class="formElement">
					<span class="labelBackground" id="validationAgreementNumber_label_container">
						<label class="label" for="validationAgreementNumber" id="validationAgreementNumber_label">AgreeNumber</label>
					</span>
					<span class="defaultBackground" id="validationAgreementNumber_container">
						<input class="textbox" id="validationAgreementNumber" name="validationAgreementNumber" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:validationAgreementNumber}" />
						<input name="xgf_validationAgreementNumber_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:validationAgreementNumber" xmlns="" />
						<span id="validationAgreementNumber_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="validationResult_label_container">
						<label class="label" for="validationResult" id="validationResult_label">Validation result</label>
					</span>
					<span class="defaultBackground" id="validationResult_container">
						<input class="textbox" id="validationResult" name="validationResult" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:validationResult}" />
						<input name="xgf_validationResult_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:validationResult" xmlns="" />
						<span id="validationResult_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="validationMsg_label_container">
						<label class="label" for="validationMsg" id="validationMsg_label">Validation Msg</label>
					</span>
					<span class="defaultBackground" id="validationMsg_container">
						<input class="textbox" id="validationMsg" name="validationMsg" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:validationMsg}" />
						<input name="xgf_validationMsg_xpath_xga_validateAgreement_xga_loadOperator_xga_copyNOSApp_xga_loadAPD_App3_xga_loadAPD_App2_xga_loadAPD_App1_xga_loadAPD_App" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:validationMsg" xmlns="" />
						<span id="validationMsg_message_container"></span>
					</span>
				</div>
				<div class="partialPageContainer vertical" id="ppg_validationResult"></div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>APD_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selNOS</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oSubmitDate</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selBLMOffice</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oUserName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oTitle</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/APD_TY_REF/record">
				<out:text>
            field = document.getElementById('</out:text>
				<out:text>rbLeaseType</out:text>
				<out:value-of select="position()" />
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','selectMany');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_element','</out:text>
				<out:text disable-output-escaping="yes">rbLeaseType');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			</out:for-each>
			<out:text disable-output-escaping="yes">field = document.getElementById('</out:text>
			<out:text disable-output-escaping="yes">rbLeaseType_message_container');
                field.setAttribute('_hintClass','hintIcon');field.setAttribute('_hintMessage','&lt;div class=&quot;twixi-wrap verbose actionContainer&quot;&gt;
&lt;div class=&quot;action-body flooded&quot;&gt;Select Federal if only Federal minerals are involved; &lt;br /&gt;Select Indian if only Indian minerals are involved; &lt;br /&gt;Select both if there are both Federal and Indian minerals involved. If both, this APD will be considered to be an Indian APD.&lt;/div&gt;
&lt;/div&gt;');field.setAttribute('_hintMessageShow','true');field.setAttribute('_tipMessage','&lt;div class=&quot;twixi-wrap verbose actionContainer&quot;&gt;
&lt;div class=&quot;action-body flooded&quot;&gt;Select Federal if only Federal minerals are involved; &lt;br /&gt;Select Indian if only Indian minerals are involved; &lt;br /&gt;Select both if there are both Federal and Indian minerals involved. If both, this APD will be considered to be an Indian APD.&lt;/div&gt;
&lt;/div&gt;');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'allottedGroup', condition: { type: '==', values: [{ type: 'field', name: 'rbLeaseType'}, 'IND'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbSAA1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbSAA2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbAllotted1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbAllotted2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpTribe', condition: { type: '==', values: [{ type: 'field', name: 'rbLeaseType'}, 'IND'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>selReservation</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','120');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/APD_YN_REF/record">
				<out:text>
            field = document.getElementById('</out:text>
				<out:text>rbAgreement</out:text>
				<out:value-of select="position()" />
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpAgree1', condition: { type: '==', values: [{ type: 'field', name: 'rbAgreement'}, 'YES'] }});<out:for-each select="/mvc:eForm/mvc:Data/AGRMT_TY_REF_VW/record">
				<out:text>
            field = document.getElementById('</out:text>
				<out:text>rbAgreeType</out:text>
				<out:value-of select="position()" />
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutAgreementInfo', condition: { type: '==', values: [{ type: 'field', name: 'rbAgreement'}, 'YES'] }});hyf.util.conditionalDisplay.setup({type:'group', name: 'grpAgree2', condition: { type: '==', values: [{ type: 'field', name: 'rbAgreeType'}, '1;2'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAgreeNum</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>validationResultMsg</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtValid</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_data_case_format','upper');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_display_case_format','upper');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpAgree3', condition: { type: '==', values: [{ type: 'field', name: 'rbAgreeType'}, '1;2'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAgreeName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/APD_YN_REF/record">
				<out:text>
            field = document.getElementById('</out:text>
				<out:text>rbConfidential</out:text>
				<out:value-of select="position()" />
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbDesignated1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbDesignated2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'operGroup', condition: { type: '==', values: [{ type: 'field', name: 'rbDesignated'}, 'DESIGNATED AGENT'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>selOperator</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oOperLetter</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperLetter</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutDesignatedAgent', condition: { type: '==', values: [{ type: 'field', name: 'rbDesignated'}, 'DESIGNATED AGENT'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAgentAddr</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAgentPO</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAgentCity</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selAgentState</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAgentZip</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAgentPhone</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAgentInternet</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperAddr</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperPO</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperCity</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selOperState</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperZip</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperPhone</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtOperInternet</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>AppID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>USER_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>agreeID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>ORG_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>validationAgreementNumber</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>validationResult</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>validationMsg</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_AppSect1onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    if ((document.getElementById('selOperator').selectedIndex &gt; 0)) {
                    var objAction = {name: 'Action', option: 'Action', value: 'loadOperator.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Operator'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    }
                    setFilePath('OperLetter');
            }
            hyf.attachEventHandler(window, 'onload', APD_AppSect1onload);
                    
            function selNOSonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'selNOS', field: document.getElementById('selNOS')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'selNOS'}, {name: 'Comparison', option: '!=', value: ''}, {name: 'CheckValue', option: 'Static', value: ''}, objEventSource) &amp;&amp; hyf.FMCondition.checkConfirm({name: 'Message', option: 'Static', value: 'This action will replace all data with information from the selected NOS.  Do you want to continue?'}, objEventSource)) {
                    var objAction = {name: 'Action', option: 'Action', value: 'copyNOSApp.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'Static', value: 'ppg_Saving'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'layoutSelectNOS'};
                    var objMode = {name: 'Mode', option: 'reset', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    }
                    })();
            }
            
            function selBLMOfficeonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'selBLMOffice', field: document.getElementById('selBLMOffice')};

                return dojo.hitch(objEventSource.field, function(){
                    setAdjudicator('app');
                    })();
            }
            
            function selOperatoronchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'selOperator', field: document.getElementById('selOperator')};

                return dojo.hitch(objEventSource.field, function(){
                    document.getElementById('OperatorID').selectedIndex = document.getElementById('selOperator').selectedIndex; 
                    var objAction = {name: 'Action', option: 'Action', value: 'loadOperator.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Operator'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    })();
            }
            
            function rbAgreeTypeonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'rbAgreeType', field: document.getElementById('rbAgreeType')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'rbAgreeType'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: '1'}, objEventSource) &amp;&amp; hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'txtAgreeNum'}, {name: 'Comparison', option: '!=', value: ''}, {name: 'CheckValue', option: 'Static', value: ''}, objEventSource)) {
                    copyAgreementNumber();
                    var objAction = {name: 'Action', option: 'Action', value: 'validateAgreement.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'validationGroup'};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_validationResult'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    }
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'rbAgreeType'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: '2'}, objEventSource)) {
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'txtValid'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: 'YES'};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                    hyf.util.hideComponent(document.getElementById('grpValidationPass'));
hyf.util.hideComponent(document.getElementById('grpValidationFail'));

                    } else {
                    }
                    })();
            }
            
            function txtAgreeNumonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'txtAgreeNum', field: document.getElementById('txtAgreeNum')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'rbAgreeType'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: '1'}, objEventSource) &amp;&amp; hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'txtAgreeNum'}, {name: 'Comparison', option: '!=', value: ''}, {name: 'CheckValue', option: 'Static', value: ''}, objEventSource)) {
                    copyAgreementNumber();
                    var objAction = {name: 'Action', option: 'Action', value: 'validateAgreement.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'validationGroup'};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_validationResult'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    }
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
