<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">PartialPage_1</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_PartialPage_1" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript" xmlns=""></script>
		<script src="js/APD.js" type="text/javascript" xmlns=""></script>
		<script src="js/App.js" type="text/javascript" xmlns=""></script>
		<script src="js/Util.js" type="text/javascript" xmlns=""></script>
		<script src="js/DocMgmt.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div xmlns="">
			<div class="horizontal" id="layoutMeridian">
				<span class="formElement">
					<span class="labelBackground" id="selMeridianPP_label_container" style="width : 74px;">
						<label class="label" for="selMeridianPP" id="selMeridianPP_label">Meridian</label>
					</span>
					<span class="defaultBackground" id="selMeridianPP_container">
						<select class="select ppMerSelect" id="selMeridianPP" name="selMeridianPP">
							<option value="">
								<out:text>-- Select --</out:text>
							</option>
							<out:for-each select="/mvc:eForm/mvc:Data/STATE_MERIDIAN_REF_VW/record">
								<option value="{MER_SHRT_NM}">
									<out:if test="MER_SHRT_NM = /mvc:eForm/mvc:Data/mvc:formData/mvc:SelMeridian">
										<out:attribute name="selected">selected</out:attribute>
									</out:if>
									<out:value-of select="MER_DESC" />
								</option>
							</out:for-each>
						</select>
						<input name="xgf_selMeridianPP_xpath_xga_loadMeridiansCounties" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selMeridianPP" />
						<span id="selMeridianPP_message_container"></span>
					</span>
				</span>
				<span class="formElement">
					<span class="labelBackground" id="selCountyPP_label_container" style="width : 66px;">
						<label class="label" for="selCountyPP" id="selCountyPP_label">County</label>
					</span>
					<span class="defaultBackground" id="selCountyPP_container">
						<select class="select ppCtySelect" id="selCountyPP" name="selCountyPP">
							<option value="">
								<out:text>-- Select --</out:text>
							</option>
							<out:for-each select="/mvc:eForm/mvc:Data/STATE_COUNTY_REF_VW/record">
								<option value="{LAND_AREA_CO_NM}">
									<out:if test="LAND_AREA_CO_NM = /mvc:eForm/mvc:Data/mvc:formData/mvc:SelCounty">
										<out:attribute name="selected">selected</out:attribute>
									</out:if>
									<out:value-of select="LAND_AREA_CO_NM" />
								</option>
							</out:for-each>
						</select>
						<input name="selCountyPP_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selCountyPP" />
						<span id="selCountyPP_message_container"></span>
					</span>
				</span>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selMeridianPP</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selCountyPP</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"></xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
